<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Game Search Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Search extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aForm = $this->request()->getArray('aForm');
        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 10;

        list($iGames, $aGames) = SAA_Sys::getModel('game.search')->execute(true, $aForm, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aGames' => $aGames,
            'iGames' => $iGames,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'aActions' => array('' => '', 'delete' => 'Delete', 'feature' => 'Feature', 'unfeature' => 'Unfeature'),
        ));
    }
}
?>
