<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Language Phrase Search Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Phrase_Search extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $aForm = $this->request()->getArray('aForm');
        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 10;

        list($iPhrases, $aPhrases) = SAA_Sys::getModel('language.phrase')->search($aForm, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aPhrases' => $aPhrases,
            'iPhrases' => $iPhrases,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'aActions' => array('' => '', 'delete' => 'Delete', 'revert' => 'Revert to Original', 'save' => 'Save'),
            'iLanguages' => count(SAA_Sys::getLib('language')->getLanguages())
        ));
    }
}
?>
