<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Report Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Report_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aForm = $this->request()->getArray('aForm');
        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 10;

        list($iReports, $aReports) = SAA_Sys::getModel('report')->search($aForm, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aReports' => $aReports,
            'iReports' => $iReports,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'aActions' => array('' => '', 'delete' => 'Delete'),
        ));
    }
}
?>
