<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin User Achievement Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_User_Achievement_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iUser = $this->request()->getInt('user_id');
        $iGame = $this->request()->getInt('game_id', 0);

        $iPg = $this->request()->getInt('pg', 1);
        $iPgSize = 3;

        list($iAchievements, $aAchievements) = SAA_Sys::getModel('game.achievement')->getUserAll($iUser, array('game_id' => $iGame), $iPg, $iPgSize);

        $this->template()->assign(array(
            'aAchievements' => $aAchievements,
            'iAchievements' => $iAchievements,
            'iGame' => $iGame,
            'iUser' => $iUser,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize
        ));
    }
}
?>
