<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Feed Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Feed_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iLimit = SAA_Sys::getSett('feed.display_limit');

        list($iItems, $aFeed) = SAA_Sys::getModel('feed')->getAll(1, $iLimit);

        $this->template()
            ->clearInheritance()
            ->assign(array(
            'aFeed' => $aFeed,
        ));
    }
}
?>