<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Achievement Block Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Achievement_Block extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iGame = $this->request()->getInt('game-id');
        $aParam = $this->request()->getArray('aFilter');

        $iPg = $this->request()->getInt('pg', 1);
        $iPgSize = 5;

        list($iAchievements, $aAchievements) = SAA_Sys::getModel('game.achievement')->getUsersForGame($iGame, $aParam, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aAchievements' => $aAchievements,
            'iAchievements' => $iAchievements,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'bHeader' => $this->getStored('bHeader', false)
        ));
    }
}
?>
