<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Comment Index View
 * @license GoLevel LLC
 */
?>

<script type="text/javascript">
$(function()
{
    $(".delete_btn").button(
    {
       icons:
       {
            primary: "ui-icon ui-icon-closethick"
       },
       text: false
    });

    $.scrollTo('#js_comment_{$aComment.comment_id}', 800);
});
</script>

{if $aComment.parent_id}
<li id="js_comment_{$aComment.comment_id}" class="is_child">
    <div class="p_4 faded-yellow m_t_4 m_l_50">
{else}
<li class="p_4 faded-yellow m_t_4" id="js_comment_{$aComment.comment_id}">
{/if}
    <div class="f_right"><button class="delete_btn"></button></div>
    <div class="f_left m_r_10">{img user=$aUser link=true sq_size="50"}</div>
    <div>
        <div class="bolder">
            {if SAA_Sys::getSett('user.enable_profile')}
                <a href="{url link='profile' user=$aUser.user_id}">{$aUser.user_name}</a>
            {else}
                {$aUser.user_name}
            {/if}
        </div>
        <div class="italic">{phrase var='comment.posted_on_date' date=$aComment.time_date}</div>
    </div>
    <div class="clear"></div>
    <div class="p_t_4 indent2">{$aComment.text}</div>
{if $aComment.parent_id}
    </div>
{else}
    {if SAA_Sys::getSett('comment.enable_child')}
    <div class="p_4" align="right">
        <a href="#" class="js_add_child_btn">{phrase var='comment.comment'}</a>
    </div>
    {/if}
{/if}
</li>