<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Frame Main View (Parent)
 * @license GoLevel LLC
 */
?>

{if $bCommentOn}
    {include "{SAA_Sys::getLib('theme')->getFile('application.view', 'frame.functions', 'comment.tpl.php', false)}"}
{/if}
{if $bRatingOn}
    {include "{SAA_Sys::getLib('theme')->getFile('application.view', 'frame.functions', 'rating.tpl.php', false)}"}
{/if}

{block "errors"}
<div class="m_t_10 m_b_10">
    {if count($aErrors)}
        {foreach $aErrors as $sError}
    <div class="errBox">
        <span></span> <strong> {$sError}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}

{block "messages"}
<div class="m_t_10 m_b_10">
    {if count($aMessages)}
        {foreach $aMessages as $sMessage}
    <div class="goodBox">
        <span></span> <strong> {$sMessage}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}

{block "body"}{/block}