<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Delete View
 * @license GoLevel LLC
 */
?>

{block "body"}

<script type="text/javascript">
$(function()
{
    {if $aFilter.stage != 'finished'}
var refreshId = setTimeout(function()
{
    ajaxDialog('game.delete', {if $bIsPublic}'is_public=1'{else}null{/if}, { height:140, title:'Deleting Game{if $aFilter.remaining}s{/if}' });
}, 3000);
    {elseif $bIsPublic}
    $('.js_game_{$aDelete.game_id}').remove();
    {else}
    triggerSearch();
    {/if}
});
</script>

<div class="goodBox">
    <span></span>
    <strong>
{if $aFilter.stage == 'initial'}
Removing all initial records for {$aDelete.text.title}
{elseif $aFilter.stage == 'report'}
Removing all reports for {$aDelete.text.title}. Cycle #{$aFilter.page}
{elseif $aFilter.stage == 'user_award'}
Removing all user achievements for {$aDelete.text.title}. Cycle #{$aFilter.page}
{elseif $aFilter.stage == 'award'}
Removing all achievements for {$aDelete.text.title}. Cycle #{$aFilter.page}
{elseif $aFilter.stage == 'score'}
Removing all scores for {$aDelete.text.title}. Cycle #{$aFilter.page}
{elseif $aFilter.stage == 'feed'}
Rebuilding feeds. Cycle #{$aFilter.page}
{elseif $aFilter.stage == 'phrase'}
Removing all phrases for {$aDelete.text.title}.
{else}
The game {$aDelete.text.title} has been removed.
{/if}
    </strong>
</div>

{/block}