<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Score Block View
 * @license GoLevel LLC
 */
?>

{block "body"}
    {if count($aScores)}
<div>
        {foreach $aScores as $aScore}
    <div class="block p_2">
        <div class="f_left">{img user=$aScore link="{url link='profile' user=$aScore.user_id}" sq_size="50"}</div>
        <div class="indent4 p_t_15">
            {if SAA_Sys::getSett('user.enable_profile')}
            <a href="{url link='profile' user=$aScore.user_id}">{$aScore.user_name}</a>
            {else}
            {$aScore.user_name}
            {/if} - {$aScore.score} {$sScoringPrefix}
        </div>
        <div class="clear"></div>
        
    </div>
        {/foreach}
    <div align="right"><a href="{url link="game.{$aGame.slug}.scores"}">{phrase var='game.view_more_scores'}</a></div>
</div>
    {else}
<div class="errBox">
    <span></span> <strong>{phrase var='game.no_scores_have_been_recorded'}</strong>
</div>
    {/if}
{/block}