<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Report Index View
 * @license GoLevel LLC
 */
?>

{block "body"}

<script type="text/javascript">
$(function()
{
    $("#js_report_form").buttonset();
    $("input:submit").button();

    $('#js_report_form').submit(function()
    {
        oReportError = SAA.error;
        oReportError.ini({ location: '#report_msg', type: 'dialog' });

        sText = $('#js_report_text').val();
        sText = $.trim(sText);

        if( sText == '' )
        {
            oReportError.add('{phrase var="report.please_provide_a_reason_for_this_report" js_escape=true}');
        }

        if( $('.js_report_type:checked').length == 0 )
        {
            oReportError.add('{phrase var="report.please_select_the_infraction" js_escape=true}');
        }

        bPass = true;

        if( SAA.error.has() )
        {
            bPass = false;

            oReportError.show();
        }

        if( bPass )
        {
            ajaxProcess('report.add', $(this).serialize());
        }
    });
} );
</script>

<div id="report_msg"></div>

<form method="POST" action="#" onsubmit="return false;" id="js_report_form">
{input type="hidden" name="aReport[model_id]" value="{$sModel}"}
{input type="hidden" name="aReport[item_id]" value="{$iItem}"}
<table class="details">
    <tr>
        <td class="col_left">{phrase var='report.select_the_infraction'}</td>
        <td class="col_right">
            {input type="checkbox" name="aReport[type_id][]" value="inappropriate" class="js_report_type" id="js_report_type_inappropriate"} <label for="js_report_type_inappropriate">{phrase var='report.inappropriate'}</label><br/>
            {input type="checkbox" name="aReport[type_id][]" value="not_working" class="js_report_type" id="js_report_type_not_working"} <label for="js_report_type_not_working">{phrase var='report.not_working'}</label><br/>
            {input type="checkbox" name="aReport[type_id][]" value="copyrighted" class="js_report_type" id="js_report_type_copyrighted"} <label for="js_report_type_copyrighted">{phrase var='report.copyright_infringement'}</label><br/>
        </td>
    </tr>
    <tr>
        <td class="col_left">{phrase var='report.reason'}</td>
        <td class="col_right">{input type="textarea" name="aReport[reason]" id="js_report_text" cols="45" rows="6" maxlength="128"}</td>
    </tr>
</table>
<div>
    <input type="submit" name="submit" value="{phrase var='report.send_report'}">
</div>

</form>

{/block}