<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader('Games', true)
            ->assign(array(
                'aGameTypes' => SAA_Sys::getModel('game.type')->getAll(),
                'aCategories' => SAA_Sys::getModel('category')->getAll(),
        ));
    }
}
?>
