<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Remove Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Remove extends SAA_Controller
{
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    public function load()
    {
        $this->template()
            ->setHeader(array('Game', 'Remove'))
            ->setTitle('Remove Games')
            ->assign(array(
                'aGameTypes' => SAA_Sys::getModel('game.type')->getAll(),
                'aCategories' => SAA_Sys::getModel('category')->getAll(),
        ));
    }
}
?>
