<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('language.process')->add($aVal) )
            {
                $this->url()->send('admin.language', null, 'Language has been created.');
            }
        }

        $this->template()
            ->setHeader('Create Language', true)
            ->assign(array(
                'aLanguages' => SAA_Sys::getModel('language')->getAll(true)
        ));
    }
}
?>
