<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Add Setting Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('setting.process')->add($aVal) )
            {
                $this->url()->reload(null, 'Setting has been created.');
            }
        }

        $this->template()
            ->setHeader(array(
                'Setting',
                'Add'
            ))
            ->setTitle('Add Setting')
            ->assign(array(
                'aGroups' => SAA_Sys::getModel('setting.group')->getForSelect(),
                'aControllers' => SAA_Sys::getModel('admin.controller')->getControllers()
        ));
    }
}
?>
