<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Group_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('setting.group.process')->saveOrder($aVal) )
            {
                $this->url()->reload(null, 'Order has been saved.');
            }
        }

        $this->template()
            ->setHeader(array('Setting', 'Groups'))
            ->setTitle('Group Settings')
            ->assign(array(
                'aGroups' => SAA_Sys::getModel('setting.group')->getAll()
        ));
    }
}
?>
