<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
                ->setHeader('Setting', true)
                ->assign(array(
            'aGroups' => SAA_Sys::getModel('setting.group')->getForSelect(),
            'aControllers' => SAA_Sys::getModel('setting.controller')->getAll(),
            'sGroup' => $this->request()->get('group', 'global')
        ));
    }
}
?>
