<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Menu_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader(array('Tools', 'Menu'))
            ->setTitle('Menu')
            ->assign(array(
                'aMenus' => SAA_Sys::getModel('menu')->getAll(),
        ));
    }
}
?>
