<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Report Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Report_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader('Tools')
            ->setHeader('Reports', true)
            ->assign(array(
                'sModelId' => $this->request()->get('model'),
                'aTypes' => SAA_Sys::getModel('report')->getModels()
            ));
    }
}
?>
