<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Theme Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Theme_Add extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('theme.process')->add($aVal) )
            {
               $this->url()->reload(null, 'Theme has been added. <a href="'. $this->url()->makeSimple('admin.tools.theme') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader(array('Tools', 'Theme', 'Add'))
            ->setTitle('Add Theme')
            ->assign(array(
                'aThemes' => SAA_Sys::getModel('theme')->findThemes()
        ));
    }
}
?>
