<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Logout Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Logout extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        if( !SAA_Sys::isUser() )
        {
            $this->url()->send('');
        }

        SAA_Sys::getModel('user.session')->logout();

        $this->url()->send('', null, SAA_Sys::getPhrase('login.you_have_been_logged_out'));
    }
}
?>
