<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Offline Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Offline extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        if( SAA_Sys::getSett('global.site_online') )
        {
            $this->url()->send('');
        }

        SAA_Error::add(SAA_Sys::getPhrase('offline.the_arcade_has_been_turned_off'));

        $this->template()->setHeader(SAA_Sys::getPhrase('offline.arcade_offline'))
                ->setTitle(SAA_Sys::getPhrase('offline.site_offline'));
    }
}
?>
