<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Favorite Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Favorite extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Determines whether or not a given game is favorited by the current user
     *
     * @param int $iGame
     * @return bool
     */
    public function is($iGame)
    {
        $iIs = $this->database()
            ->select('item_id')
            ->from('game_favorite')
            ->where('user_id = '. SAA_Sys::getUserId() .' AND game_id = ' . (int) $iGame)
            ->get('column');

        return ($iIs ? true : false);
    }
}
?>
