<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Type Process Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Type_Process extends SAA_Model
{
    /**
     * Adds a game type
     *
     * @param array $aVal
     * @return mixed
     */
    public function add($aVal)
    {
        $iId = $this->database()->insert('game_link', array(
            'game_type_title' => $aVal['title']
        ));

        if( !$iId )
        {
            return false;
        }

        $this->cache()->remove('game_type');

        return $iId;
    }
}
?>
