<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Public Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Public extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Public Pages Preloader
     */
    public function load()
    {
		SAA_Sys::ping();

        $sController = SAA_Sys::getController();

        if( !SAA_Sys::getSett('global.site_online') && $sController != 'offline' && $sController != 'login')
        {
            SAA_Sys::getLib('url')->send('offline');
        }

		$oTemplate = SAA_Sys::getLib('template');
		$oUserSession = SAA_Sys::getModel('user.session');

        $bUser = $oUserSession->isUser();

        $oTemplate
            ->setInheritance('frame/main')
            ->assign(array(
            'aAdvertisements' => SAA_Sys::getModel('ad')->getForPublic(), //load advertisements
            'aMenuBar' => SAA_Sys::getModel('menu')->getSorted(), //load menu bar
            'aUser' => $oUserSession->getUser(),
            'bRatingOn' => false,
            'bCommentOn' => false
        ));
    }

    /**
     * Public Ajax Pages Preloader
     */
    public function loadAjax()
    {
        $bUser = SAA_Sys::getModel('user.session')->isUser();

        SAA_Sys::getLib('template')
            ->setInheritance('frame/main')
            ->assign(array(
            'aUser' => SAA_Sys::getModel('user.session')->getUser(),
            'bRatingOn' => false,
            'bCommentOn' => false
        ));
    }
}
?>
