<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Auto View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
$(function()
{
    var oForm;

    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Auto Sync',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                oForm.submit();
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    } );

    $('#js_category_form').submit(function()
    {
        bPass = true;

        if( $(".js_form_checkboxes:checked").length == 0 )
        {
            SAA.error.add('Please select a category to add.');
            bPass = false;
        }

        if( !bPass )
        {
            SAA.error.show(false, 'div');
        }
        else
        {
            oForm = this;
            $('#dialog-message').html('Are you sure you add the selected categories?');
            $('#dialog-message').dialog('open');
        }

        return false;
    } );

    $('button').button();
    $('.js_checkboxes').buttonset();
} );
</script>

{/block}
{block "body"}

<div class="ui-state-highlight ui-corner-all" style="vertical-align: middle; padding: 1.0em;">
    <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span> <strong>Notice:</strong> Select the categories you desire to add.
</div>

<div class="h25"></div>
<form method="POST" action="{url link='admin.category.auto'}" id="js_category_form">
<div align="center">
    <div class="w50 ui-widget ui-widget-content ui-corner-all js_checkboxes" style="padding: 10px;">
    {foreach $aCategories as $sCategory => $aCategory}
            <div class="{if $aCategory@iteration % 2 == 1}f_left{else}f_right{/if}">
                {input type="checkbox" name="aForm[category][]" class="js_form_checkboxes" id="js_category_{$sCategory}" value=$sCategory} <label for="js_category_{$sCategory}">{$sCategory}</label><br/>
            </div>
        {if $aCategory@iteration % 2 == 0}<div class="clear"></div>{/if}
    {/foreach}
        {if count($aCategories) % 2 == 1}<div class="clear"></div>{/if}
        <div class="h25"></div>
        <div align="right"><input type="submit" name="add" value="Add Categories" id="js_add_btn"/></div>
    </div>
</div>
</form>
{/block}