<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Frame Main
 * @license GoLevel LLC
 */
?>
<html>
<head>
    <title>{block "header_title"}{$sHeadTitle}{/block}</title>
    <link type="text/css" href="{url theme="css.admin" file="admin.css"}" rel="stylesheet" />
    <script>
	    var oSett = { 'sUrl': '{url no_file=true}', 'sJsFolder': '{url folder="design.static.js" no_file=true}', 'sImageFolder': '{url theme="images.admin" no_file=true}' };
    </script>
    <script type="text/javascript" src="{url folder='design.static.js' file='main.js'}"></script>
    {block "header"}{/block}
</head>
<body>

<div id="dialog-message" style="display: none;"></div>
<div id="ajax-dialog-message" style="display: none;"></div>
<div id="ajax-dialog-box" style="display: none;"></div>

{* start:wrap *}
<div id="wrap">

<div id="header"></div>

{* start:nav *}
<div id="nav">
{include file="{SAA_Sys::getLib('theme')->getFile('application.view', 'admin.frame', 'menu.tpl.php', false)}"}
</div>
{* end:nav *}


{* start:content *}
<div id="content">

{block "title"}{if $sTitle}<h1>{$sTitle}</h1>{/if}{/block}

<div>

{block "errors"}
<div id="js_error_msg">
    {if count($aErrors)}
        {foreach $aErrors as $sError}
    <div class="errBox">
        <span></span> <strong> {$sError}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}

{block "messages"}
<div id="js_good_msg">
    {if count($aMessages)}
        {foreach $aMessages as $sMessage}
    <div class="goodBox">
        <span></span> <strong> {$sMessage}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}
</div>

<div class="content_break"></div>
{block "body"}{/block}

{* end:content *}
</div>

{* start:footer *}
<div id="footer">
	&copy; Powered by <a href="http://standalonearcade.com">Stand Alone Arcade</a> {SAA_Sys::getVersion()}
</div>
{* end:footer *}



</div>
{* end:wrap *}


</body>
</html>