<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Frame Menu
 * @license GoLevel LLC
 */
?>
<ul class="sf-menu">
    <li class="m_l_20"><a href="#">Manage Games &darr;</a>
        <ul>
            <li><a href="{url link='admin.game.add'}">Add Single Game</a></li>
            <li><a href="{url link='admin.game'}">Edit Games</a></li>
            <li><a href="{url link='admin.game.featured'}">Featured Games</a></li>
            <li><a href="{url link='admin.game.adder.mochi'}">Mochi Media</a></li>
            <li><a href="{url link='admin.game.remove'}">Remove Games</a></li>
        </ul>
    </li>
    <li class="sep"><img src="{url theme='images.admin.icons' file='separator.png'}" /></li>
    <li><a href="#">Categories &darr;</a>
        <ul>
            <li><a href="{url link='admin.category.add'}">Create Category</a></li>
            <li><a href="{url link='admin.category'}">Edit Category</a></li>
            <li><a href="{url link='admin.category.auto'}">Auto-Sync</a></li>
            <li><a href="{url link='admin.category.rebuild'}">Rebuild Cache</a></li>
        </ul>
    </li>
    <li class="sep"><img src="{url theme='images.admin.icons' file='separator.png'}" /></li>
    <li><a href="#">Tools &darr;</a>
        <ul>
            <li><a href="advertisements.php">Ad Manager &rarr;</a>
                <ul>
                    <li><a href="{url link='admin.tools.ad.add'}">Add Advertisement</a></li>
                    <li><a href="{url link='admin.tools.ad'}">View All</a></li>
                </ul>
            </li>
            <li><a href="{url link='admin.tools.menu'}">Menu Manager &rarr;</a>
                <ul>
                    <li><a href="{url link='admin.tools.menu.add'}">Add Item</a></li>
                    <li><a href="{url link='admin.tools.menu'}">View All</a></li>
                </ul>
            </li>
            <li>
                <a href="#">Rebuild &rarr;</a>
                <ul>
                    <li><a href="{url link='admin.category.rebuild'}">Game Categories</a></li>
                    <li><a href="{url link='admin.tools.rebuild.comments'}">Comments</a></li>
                    <li><a href="{url link='admin.tools.rebuild.scores'}">Scores</a></li>
                </ul>
            </li>
            <li><a href="{url link='admin.tools.report'}">Reports</a></li>
            <li>
                <a href="#">Reset &rarr;</a>
                <ul>
                    <li><a href="{url link='admin.tools.reset.cache'}">Cache</a></li>
                    <li><a href="{url link='admin.tools.reset.scores'}">Scores</a></li>
                </ul>
            </li>
            <li>
                <a href="#">Theme Manager &rarr;</a>
                <ul>
                    <li><a href="{url link='admin.tools.theme.add'}">Add Theme</a></li>
                    <li><a href="{url link='admin.tools.theme'}">View All</a></li>
                </ul>
            </li>
            <li><a href="{url link='admin.tools.user'}">User Manager</a></li>
        </ul>
    </li>
    <li class="sep"><img src="{url theme='images.admin.icons' file='separator.png'}" /></li>
    <li><a href="#">Languages &darr;</a>
        <ul>
            <li><a href="{url link='admin.language.add'}">Create Language</a></li>
            <li><a href="{url link='admin.language'}">Edit Languages</a></li>
            <li><a href="{url link='admin.language.phrase.add'}">Add Phrase</a></li>
            <li><a href="{url link='admin.language.phrase'}">Edit Phrases</a></li>
            <li><a href="{url link='admin.language.section.add'}">Add Section</a></li>
            <li><a href="{url link='admin.language.section'}">Edit Sections</a></li>
            <li><a href="{url link='admin.language.import'}">Import Language Pack</a></li>
        </ul>
    </li>
    <li class="sep"><img src="{url theme='images.admin.icons' file='separator.png'}" /></li>
    <li><a href="{url link='admin.setting'}">Settings</a></li>
    <li class="sep"><img src="{url theme='images.admin.icons' file='separator.png'}" /></li>
    <li><a href="{url link=''}">View Site</a></li>
    <li><a href="{url link='logout'}">Log Out</a></li>
</ul>