<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Adder Mochi View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("#js_form").buttonset();
    $("input:submit").button();
} );

function form_submit()
{
    $('#js_form').hide();
    $('#js_content').show();

    sUrl = oSett.sUrl + 'system/ajax.php?ajaxProcess=game.adder.getMochi&' + $('#js_form').serialize();

    $.ajax(
    {
	url: sUrl,
	method: 'POST',
	success: function(mReturn)
	{
            eval(mReturn);
	},
	failure: function()
        {
            SAA.error.show('There was an error in the import process. Please reload the page and try again.', 'dialog');
        }
    });
}
</script>

{/block}

{block "body"}

<div id="js_content" align="center" style="display: none">
    <div class="goodBox"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"> Importing games. Still loading more, please wait...</div>
</div>
<form method="POST" action="#" id="js_form" onsubmit="form_submit(); return false;">
{input type="hidden" name="aForm[offset]" value=0 id="js_offset"}
{input type="hidden" name="aForm[added]" value=0 id="js_added"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Game Adder Filter</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Mochi Categories</td>
            <td class="col_right" style="padding: 10px">
                {foreach $aMaps as $iMap => $aCategory}
                    <div class="{if $aCategory@iteration % 2 == 1}f_left{else}f_right{/if}">
                        {input type="checkbox" name="aForm[category][]" class="js_form_checkboxes" id="js_category_{$iMap}" value=$iMap} <label for="js_category_{$iMap}">{$aCategory.map_title}</label><br/>
                    </div>
                    {if $aCategory@iteration % 2 == 0}<div class="clear"></div>{/if}
                {/foreach}
                    {if count($aMaps) % 2 == 1}<div class="clear"></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="col_left">Maximum Number of Games</td>
            <td class="col_right" style="padding: 10px">{input type="text" name="aForm[max_games]"}</td>
        </tr>
        <tr>
            <td class="col_left">Scoring</td>
            <td class="col_right" style="padding: 10px">
                <div>
                    {input type="radio" name="aForm[scoring]" value="yes" id="scoring_yes"} <label for="scoring_yes">Yes</label>
                    {input type="radio" name="aForm[scoring]" value="no" id="scoring_no"} <label for="scoring_no">No</label>
                    {input type="radio" name="aForm[scoring]" value="both" default="both" id="scoring_both"} <label for="scoring_both">Both</label>
                </div>
            </td>
        </tr>
        <tr>
            <td class="col_left">Parental Rating</td>
            <td class="col_right" style="padding: 10px">
                <div>
                    {input type="checkbox" name="aForm[rating][]" value="everyone" id="rating_everyone"} <label for="rating_everyone">Everyone</label>
                    {input type="checkbox" name="aForm[rating][]" value="teen" id="rating_teen"} <label for="rating_teen">Teen</label>
                    {input type="checkbox" name="aForm[rating][]" value="mature" id="rating_mature"} <label for="rating_mature">Mature</label>
                </div>
            </td>
        </tr>
        <tr>
            <td class="col_left">Max Dimensions</td>
            <td class="col_right" style="padding: 10px">
                <div><span>Width: {input type="text" name="aForm[max_width]" size="4"}</span></div>
                <div class="m_t_4"><span>Height: {input type="text" name="aForm[max_height]" size="4"}</span></div>
            </td>
        </tr>
        <tr>
            <td class="col_left">Tags <br/><i>(Separate with commas)</i></td>
            <td class="col_right" style="padding: 10px">{input type="textarea" name="aForm[tags]"}</td>
        </tr>
        <tr>
            <td class="col_left">Include Chinese Games</td>
            <td class="col_right" style="padding: 10px">
                {input type="radio" name="aForm[chinese]" value="yes" default="no" id="chinese_yes"}<label for="chinese_yes">Yes</label>
                {input type="radio" name="aForm[chinese]" value="no" default="no" id="chinese_no"}<label for="chinese_no">No</label>
            </td>
        </tr>
        <tr>
            <td class="col_left">Use Multiple Categories <br/><i>When enabled, games imported will use 'categories' instead of 'category' in the API.</i></td>
            <td class="col_right" style="padding: 10px">
                {input type="radio" name="aForm[multiple_categories]" value="yes" default="yes" id="multiple_categories_yes"}<label for="multiple_categories_yes">Yes</label>
                {input type="radio" name="aForm[multiple_categories]" value="no" default="yes" id="multiple_categories_no"}<label for="multiple_categories_no">No</label>
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Add Games"/>
    </div>
</form>

{/block}