<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game File View
 * @license GoLevel LLC
 */
?>
{block "header"}
<link href="{url theme="css.uploader" file="uploadify.css"}" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="{url folder='design.static.js' file='uploader.js'}"></script>

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $('#file_image').uploadify(
    {
        'buttonText'  : 'Select an Image',
        'cancelImg': '{url theme="images.admin.icons" file="cancel.png"}',
        'uploader': oSett.sUrl + 'design/static/swf/uploader/uploadify.swf',
        'script': '{url link="admin.game.uploader" id=$aGame.game_id type="image" sForceUserHash=$sForceHash}',
        'folder': oSett.sUrl + 'application/file/cache',
        'fileExt': '*.jpg;*.gif;*.png',
        'auto': false,
        'onComplete'  : function(event, ID, fileObj, response, data)
        {
            eval(response);
        },
        'onError': function (event, ID, fileObj, errorObj)
        {
            SAA.error.show('An error occurred while attempting to import the image file.');
        }
    });

    $('#file_game').uploadify(
    {
        'buttonText'  : 'Select a Game',
        'cancelImg': '{url theme="images.admin.icons" file="cancel.png"}',
        'uploader': oSett.sUrl + 'design/static/swf/uploader/uploadify.swf',
        'script': '{url link="admin.game.uploader" id=$aGame.game_id type="game" sForceUserHash=$sForceHash}',
        'folder': oSett.sUrl + 'application/file/cache',
        'fileExt': '*.swf',
        'auto': false,
        'onComplete'  : function(event, ID, fileObj, response, data)
        {
            eval(response);
        },
        'onError': function (event, ID, fileObj, errorObj)
        {
            SAA.error.show('An error occurred while attempting to import the game file.');
        }
    });

    $("#js_upload_btn").click(function()
    {
        $('#file_image').uploadifyUpload();
        $('#file_game').uploadifyUpload();
    });
});
</script>

{/block}

{block "body"}
<div id="js_game_link">
    <div align="right">
        <strong><a href="{url link='admin.game.edit' id=$aGame.game_id}">Edit Game</a></strong>
    </div>
    <div class="spacer_tiny"></div>
</div>
<div id="js_file_table">
    <table class="details">
        <tr>
            <th class="table_top_left">Game Files</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Image</td>
            <td class="col_right">
                <input id="file_image" name="file_image" type="file" />
            </td>
        </tr>
        <tr>
            <td class="col_left">Game File</td>
            <td class="col_right">
                <input id="file_game" name="file_game" type="file" />
            </td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Upload" id="js_upload_btn"/>
    </div>
</div>

{/block}