{block "header"}

<script type="text/javascript">
function validateForm()
{
    if( $('#js_input_title').val() == '' )
    {
        SAA.error.add('Please enter a title.');
    }

    if( $('#js_input_language_abrv').val() == '' )
    {
        SAA.error.add('Please enter a language abbreviation.');
    }

    if( $('#js_input_created_by').val() == '' )
    {
        SAA.error.add('Please enter the creator.');
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#radio_direction").buttonset();
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.language.edit' id=$aLanguage.language_id}" id="js_language_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Language Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[title]" default=$aLanguage.title size="20" id="js_input_title"}</td>
        </tr>
        <tr>
            <td class="col_left">Language Abbreviation</td>
            <td class="col_right">{input type="text" name="aForm[language_abrv]" default=$aLanguage.language_abrv size="2" maxlength="12" id="js_input_language_abrv"}</td>
        </tr>
        <tr>
            <td class="col_left">Word Direction</td>
            <td class="col_right">
                <div id="radio_direction">
                    {input type="radio" name="aForm[direction]" value="ltr" default=$aLanguage.direction id="radio_direction_ltr"}<label for="radio_direction_ltr">Left to Right</label>
                    {input type="radio" name="aForm[direction]" value="rtl" default=$aLanguage.direction id="radio_direction_rtl"}<label for="radio_direction_rtl">Right to Left</label>
                </div>
            </td>
        </tr>
         <tr>
            <td class="col_left">Creator</td>
            <td class="col_right">{input type="text" name="aForm[created_by]" default=$aLanguage.created_by size="30" id="js_input_created_by"}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Save"/>
    </div>
</form>
{/block}