<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Add View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    if( $('#js_input_title').val() == '' )
    {
        SAA.error.add('Please enter a title.');
    }

    if( $('#js_input_name').val() == '' )
    {
        SAA.error.add('Please enter a name.');
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();

    $("#js_input_name").focusout(function()
    {
        ajaxProcess('language.sanitizeSection', $("#js_input_name").serialize());
    } );
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.language.section.add'}" id="js_language_section_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Section Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[section_title]" size="32" maxlength="15" id="js_input_title"}</td>
        </tr>
        <tr>
            <td class="col_left">Name (used for phrase var names)</td>
            <td class="col_right">{input type="text" name="aForm[section_name]" size="20" maxlength="20" id="js_input_name"} <span id="js_input_name_msg" style="display: none"><i>Name has been sanitized.</i></span></td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Add"/>
    </div>
</form>
{/block}