<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Edit View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    if( $('#js_input_title').val() == '' )
    {
        SAA.error.add('Please enter a title.');
    }

{if !$aSection.is_required}
    if( $('#js_input_name').val() == '' )
    {
        SAA.error.add('Please enter a name.');
    }
{/if}
    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
});
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.language.section.edit' id=$aSection.section_id}" id="js_language_section_form" onsubmit="return validateForm();">
    {input type="hidden" name="aForm[section_id]" default=$aSection.section_id id="js_input_id"}
    <table class="details">
        <tr>
            <th class="table_top_left">Section Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[section_title]" default=$aSection.section_title size="32" maxlength="15" id="js_input_title"}</td>
        </tr>
        <tr>
            <td class="col_left">Name (used for phrase var names)</td>
            <td class="col_right">
                {input type="text" name="aForm[section_name]" default=$aSection.section_name size="20" maxlength="20" disabled="disabled" id="js_input_name"}
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Save"/>
    </div>
</form>
{/block}