<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Add View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function add_input(oObj, iType)
{
    var sValue = $(oObj).parents('.js_array_holder:first').find('.js_add_to_array').val();
    var iCnt = (parseInt($(oObj).parents('.js_array_holder:first').find('#js_array_count').html()) + 1);

    if( iType == 2 )
    {
        var sValue2 = $(oObj).parents('.js_array_holder:first').find('.js_add_to_array_2').val();
        $(oObj).parents('.js_array_holder:first').find('.js_array_data').append('<div id="js_array' + iCnt + '"><div class="p_4"><input type="text" class="js_setting" name="aForm[value][key][]" value="' + sValue + '" size="20" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="aForm[value][value][]" value="' + sValue2 + '" size="20" /> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a></div></div>');
        $(oObj).parents('.js_array_holder:first').find('.js_add_to_array_2').val('');
    }
    else
    {
        $(oObj).parents('.js_array_holder:first').find('.js_array_data').append('<div id="js_array' + iCnt + '"><div class="p_4"><input type="text" name="aForm[value][]" value="' + sValue + '" size="30" /> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a></div></div>');
    }

    $(oObj).parents('.js_array_holder:first').find('.js_array_count').html(iCnt);
    $(oObj).parents('.js_array_holder:first').find('.js_add_to_array').val('').focus();

    return false;
}

function validateForm()
{
    sVal = $('#js_var_name').val();

    if( sVal == '' )
    {
        SAA.error.add('Please provide a var name.');
    }
    else
    {
        sPattern = /^[a-z0-9-_]+$/i;

        if( !sPattern.test(sVal) )
        {
            SAA.error.add('Var name must contain alphanumeric, "-", or "_" characters.');
        }
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show(null, 'div');
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#js_form, #js_input").buttonset();

    $('.js_type_id').change(function()
    {
        sVal = $('.js_type_id:checked').val();

        if( sVal == 'array1' )
        {
            $('#js_input_value').html($('#js_input_value_array1').html());
        }
        if( sVal == 'array2' )
        {
            $('#js_input_value').html($('#js_input_value_array2').html());
        }
        else if( sVal == 'bool' )
        {
            $('#js_input_value').html($('#js_input_value_bool').html());
        }
        else if( sVal == 'int' )
        {
            $('#js_input_value').html($('#js_input_value_int').html());
        }
        else if( sVal == 'select' )
        {
            $('#js_input_value').html($('#js_input_value_select').html());
        }
        else if( sVal == 'string' )
        {
            $('#js_input_value').html($('#js_input_value_string').html());
        }
        else if( sVal == 'string_long' )
        {
            $('#js_input_value').html($('#js_input_value_string_long').html());
        }
    });

    $('.js_type_id').trigger('change');
} );
</script>

{/block}
{block "body"}

<form method="POST" action="{url link='admin.setting.add'}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Setting Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Type</td>
            <td class="col_right">
                {input type="radio" name="aForm[type_id]" value="array1" class="js_type_id" id="type_array1"} <label for="type_array1">Array</label>
                {input type="radio" name="aForm[type_id]" value="array2" class="js_type_id" id="type_array2"} <label for="type_array2">Array with Keys</label>
                {input type="radio" name="aForm[type_id]" value="bool" class="js_type_id" id="type_bool"} <label for="type_bool">Bool</label>
                {input type="radio" name="aForm[type_id]" value="int" class="js_type_id" id="type_int"} <label for="type_int">Integer</label>
                {input type="radio" name="aForm[type_id]" value="select" class="js_type_id" id="type_dd"} <label for="type_dd">Drop Down</label>
                {input type="radio" name="aForm[type_id]" value="string" class="js_type_id" id="type_string" checked="checked"} <label for="type_string">String</label>
                {input type="radio" name="aForm[type_id]" value="string_long" class="js_type_id" id="type_string_long"} <label for="type_string_long">Long String</label>
            </td>
        </tr>
        <tr>
            <td class="col_left">Group</td>
            <td class="col_right">{input type="select" name="aForm[group_id]" options=$aGroups}</td>
        </tr>
        <tr>
            <td class="col_left">Controller</td>
            <td class="col_right">{input type="select" name="aForm[controller]" options=$aControllers key="values" first=true}</td>
        </tr>
        <tr>
            <td class="col_left">Var Name</td>
            <td class="col_right">{input type="text" name="aForm[var_name]" size="20" id="js_var_name"}</td>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[setting_title]" size="20"}</td>
        </tr>
        <tr>
            <td class="col_left">Description</td>
            <td class="col_right">{input type="textarea" name="aForm[setting_explain]" cols="60" rows="5"}</td>
        </tr>
        <tr>
            <td class="col_left">Value</td>
            <td class="col_right" id="js_input_value">
                {input type="text" name="aForm[value]" size="30" id="js_input_value"}
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Create Setting"/>
    </div>
</form>

<div style="display: none;" id="js_input">
    <div id="js_input_value_array1">
        <div class="js_array_holder">
            <div class="js_array_count" style="display:none;">0</div>
            <div class="js_array_data"></div>
            <div class="p_4">
                <input type="text" name="aForm[value][]" value="" class="js_add_to_array" size="30"/>
                <input type="button" name="button" value="Add" onclick="add_input(this, 1);" />
            </div>
        </div>
    </div>
    <div id="js_input_value_array2">
        <div class="js_array_holder">
            <div class="js_array_data"></div>
            <div class="js_array_count" style="display:none;">0</div>
            <div>
                <div class="p_4">
                    <input type="text" name="aForm[value][key][]" value="" class="js_add_to_array" size="20"/> &nbsp;&nbsp;&nbsp;
                    <input type="text" name="aForm[value][value][]" value="" class="js_add_to_array_2" size="20"/><br/>
                </div>
                <div class="p_4">
                    <input type="button" name="button" value="Add" onclick="add_input(this, 2);" />
                </div>
            </div>
        </div>
    </div>
    <div id="js_input_value_bool">
        <select name="aForm[value]">
            <option value="true">True</option>
            <option value="false">False</option>
        </select>
    </div>
    <div id="js_input_value_int">
        {input type="text" name="aForm[value]" size="10" class="is_int"}
    </div>
    <div id="js_input_value_select">
        <div class="js_array_holder">
            <div class="js_array_count" style="display:none;">0</div>
            <div class="js_array_data"></div>
            <input type="text" name="aForm[value][]" value="" class="js_add_to_array" size="30"/>
            <input type="button" name="button" value="Add" onclick="add_input(this, 1);" />
        </div>
    </div>
    <div id="js_input_value_string">
        {input type="text" name="aForm[value]" size="30"}
    </div>
    <div id="js_input_value_string_long">
        {input type="textarea" name="aForm[value]" cols="60" rows="5"}
    </div>
</div>

{/block}