<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Edit View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    if( $('#js_name').val() == '' )
    {
        SAA.error.add('Please provide a name.')
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show(null, 'div');
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
} );
</script>

{/block}
{block "body"}

<form method="POST" action="{url link='admin.setting.group.edit' id=$aGroup.setting_group_id}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Group Setting Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Name</td>
            <td class="col_right">{input type="text" name="aForm[group_name]" id="js_name" default=$aGroup.group_name}</td>
        </tr>
        <tr>
            <td class="col_left">Id</td>
            <td class="col_right">{$aGroup.group_id}</td>
        </tr>
        <tr>
            <td class="col_left">Javascript Actions</td>
            <td class="col_right">{input type="textarea" name="aForm[js_actions]" cols="70" rows="20" default=$aGroup.js_actions}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Save Group Setting"/>
    </div>
</form>

{/block}