<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $('#jump').change(function()
    {
        sAction = $(this).find(":selected").text();

        if( sAction != '' )
        {
            $('#js_setting_content').hide();
            $('#js_setting_button').hide();

            if( $(this).find(":selected").parents('optgroup:first').attr('label') == 'Controller' )
            {
                ajaxProcess('setting.getByFilter', 'controller=' + $(this).val(), { loading: "#js_setting_content_loader" });
            }
            else
            {
                ajaxProcess('setting.getByFilter', 'group=' + $(this).val(), { loading: "#js_setting_content_loader" });
            }
        }
    } );

    $("#jump option[value='{$sGroup}']").attr('selected', 'selected');
    $("#jump").trigger('change');
} );
</script>

{/block}
{block "body"}

<div align="right">
    <select id="jump">
        <optgroup label="Group">
{foreach $aGroups as $sGroupId => $sGroup}
            <option value="{$sGroupId}">{$sGroup}</option>
{/foreach}
        </optgroup>
        <optgroup label="Controller">
{foreach $aControllers as $sController}
            <option value="{$sController}">{$sController}</option>
{/foreach}
        </optgroup>
    </select>
</div>
<div class="spacer"></div>
<div id="js_setting_content_loader" align="center" style="display: none" >
    <img src="{url theme='images.admin' file='loader.gif'}">
</div>
<div id="js_setting_content"></div>

{/block}