<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Ad Edit View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    if( $('#js_name').val() == '' )
    {
        SAA.error.add('Please enter a name');
    }

    if(  $('#js_html_code').val() == '' )
    {
        SAA.error.add('Please enter HTML Code.')
    }

    if( SAA.error.has() )
    {
        SAA.error.show(false, 'div');

        bPass = false;
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#js_form").buttonset();
});
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.tools.ad.edit' id=$aAd.ad_id}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Ad Details</th>
            <th class="table_top_right"></th>
        </tr>
    <tr>
            <td class="col_left">Name</td>
            <td class="col_right">{input type="text" name="aForm[ad_name]" size="50" default=$aAd.ad_name id="js_name" maxlength="75"}</td>
        </tr>
        <tr>
            <td class="col_left">Location</td>
            <td class="col_right">
                <select name="aForm[location]">
                    <option value="0" {if $aAd.location == 0}selected{/if}>Top</option>
                    <option value="1" {if $aAd.location == 1}selected{/if}>Bottom</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">HTML Code</td>
            <td class="col_right">{input type="textarea" name="aForm[html_code]" default=$aAd.html_code id="js_html_code" cols="80" rows="8"}</td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Edit"/>
    </div>
</form>
{/block}