<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Rebuild Scores View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(document).ready(function()
{
    $("#js_form").submit(function()
    {
        sStage = $('#js_stage').val();

        if( sStage == 'purge' )
        {
            sLoading = 'Purging data. Please wait...';
        }
        else if( sStage == 'high' )
        {
            iAdded = $('#js_completed').val();

            sText = 'Analyzed ' + iAdded + ' game'+ (iAdded > 1 ? 's' : '') +'.';

            sLoading = 'Passing through more games. '+ sText +' Please wait...';
        }
        else if( sStage == 'user' )
        {
            iAdded = $('#js_total').val();
            iGames = $('#js_completed').val();

            sText = 'Passed through '+ iGames + ' game'+ (iGames > 1 ? 's' : '') +'. Inserted '+ iAdded +' row'+ (iAdded > 1 ? 's' : '') +' in to the user high score table.';

            sLoading = 'Adding more to the database. '+ sText +' Please wait...';
        }
        else if( sStage == 'game' )
        {
            iTotal = $('#js_total').val();
            iCompleted = $('#js_completed').val();
            iRemaining = iTotal - iCompleted;

            sText = (iTotal > 0 ? 'There '+ (iRemaining > 1 ? 'are '+ iRemaining +' games' : 'is one game') +' needing to be updated.' : '');

            sLoading = 'Calculating the total scores column. '+ sText +' Please wait...';
        }

        $('#js_content').find('span').html(sLoading);

        ajaxProcess('score.rebuild', $(this).serialize(), { 'loading': '#js_content' });

        return false;
    } );

    $("input:submit").button();
} );
</script>

{/block}

{block "body"}

<div id="js_content" align="center" style="display: none">
    <div><img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span>Rebuilding scores. Please wait...</span></div>
    <br/><br/>
</div>

<form method="POST" action="#" id="js_form">
{input type="hidden" name="aForm[total]" default=0 id="js_total"}
{input type="hidden" name="aForm[stage]" value="game" id="js_stage"}
{input type="hidden" name="aForm[page]" default=0 id="js_page"}
{input type="hidden" name="aForm[completed]" default=0 id="js_completed"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Rebuild Scores</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td colspan="2"></td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Start"/>
    </div>
</form>

<br/>
{/block}