<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools User Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("#js_search_form").buttonset();
    $("input:submit").button();

    $("#js_search_form").submit(function(event, bFromLink)
    {
        if( !bFromLink )
        {
            $('#js_search_page').val(1);
        }

        ajaxProcess('user.searchAdmin', $(this).serialize(), { loading: "#js_search_form_loading" });

        return false;
    } );

    $('#js_search_form').trigger('submit');
} );

function triggerSearch(iPage)
{
    $('#js_search_page').val(iPage);
    $('#js_search_form').trigger('submit', true);
}
</script>

{/block}

{block "body"}
<form method="POST" action="#" id="js_search_form">
{input type="hidden" name="page" default=1 id="js_search_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Search Users</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">User Name</td>
            <td class="col_right">{input type="text" name="aForm[user_name]"}</td>
        </tr>
        <tr>
            <td class="col_left">Email</td>
            <td class="col_right">{input type="text" name="aForm[email]"}</td>
        </tr>
        <tr>
            <td class="col_left">Status</td>
            <td class="col_right">
                <select name="aForm[is_verified]">
                    <option value=""></option>
                    <option value="1">Yes</option>
                    <option value="0">No</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">Sort By</td>
            <td class="col_right">
                <select name="aForm[sort_by]">
                    <option value="date_added asc">Date Joined Ascending</option>
                    <option value="date_added desc">Date Joined Descending</option>
                    <option value="last_login asc">Last Login Ascending</option>
                    <option value="last_login desc">Last Login Descending</option>
                </select>
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <span id="js_search_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="submit" name="aForm[submit]" value="Search"/>
    </div>
</form>

<br/>

<div style="width: 100%">
    <div id="js_content"></div>
</div>

{/block}