<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Rating Template Function
 * @license GoLevel LLC
 */
?>

{if SAA_Sys::getSett('rating.can_rate')}
    {if !$smarty.const.SAA_IS_AJAX}
<link type="text/css" href="{url theme="css.rating" file="jquery.rating.css"}" rel="stylesheet" />
<script type="text/javascript" src="{url folder='design.static.js.jquery.rating' file='pack.js'}"></script>
    {/if}
<script type="text/javascript">
$(function()
{
    $('.js_star').rating({if SAA_Sys::getSett('rating.disable_cancel')}{ required:true }{/if});

    $('.js_star, .rating-cancel').click(function()
    {
        $(this).parents('.js_rating:first').trigger('submit');
    });

    $('.js_rating').submit(function ()
    {
        ajaxProcess('rating.action', $(this).serialize());

        return false;
    });
});
</script>
{function rating}
<form method="post" action="#" class="js_rating">
    <input type="hidden" name="rating[type]" value="{$type}" class="js_rating_type"/>
    <input type="hidden" name="rating[item_id]" value="{$item_id}" id="js_rating_item_{$type}_{$item_id}"/>
    <div style="height:18px;">
    {for $i=1 to 5}
        <input type="radio" class="js_star" name="rating[star]" value="{$i}" {if !SAA_Sys::isUser() || SAA_Sys::getSett('rating.only_once') && $already_rated}disabled{/if} {if isset($total_rating) && $total_rating == $i}checked="checked"{/if}/>
    {/for}
    </div>
    <div class="clear"></div>
</form>
{/function}
{/if}