<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Scores View
 * @license GoLevel LLC
 */
?>
{block "header"}
<script type="text/javascript">
var iGame = '{$aGame.game_id}';

function getLiveContent()
{
    ajaxProcess('game.getScores', 'game-id=' + iGame);
{if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_score_page')}
    ajaxProcess('achievement.forGame', 'game-id=' + iGame);
{/if}
}

$(function()
{
    var refreshId = setInterval(function()
    {
        getLiveContent();
    }, 60000);

    getLiveContent();
});
</script>
{/block}
{block "body"}

{* The Game Info:Start *}
<div class="block">
    <div class="f_left m_r_10"><a href="{url link="game.{$aGame.slug}"}">{img file=$aGame.img_loc sq_size="100"}</a></div>
    <div>
        <div><a href="{url link="game.{$aGame.slug}"}" class="bolder">{$aGame.text.title}</a></div>
        <div>{$aGame.text.description}</div>
    {if SAA_Sys::getModel('rating')->isEnabled('game')}
        <div>{call rating type='game' item_id=$aGame.game_id total_rating=$aGame.total_rating already_rated=$aGame.rate_id}</div>
    {/if}
    </div>
    <div class="clear"></div>
    <div></div>
</div>
{* The Game Info:End *}

{* Achievements:Start *}
{if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_score_page')}
<div id="achievements"></div>
{/if}
{* Achievements:End *}

{* Scores:Start *}
<div id="js_scores"></div>
{* Scores:End *}

{* The Game Comments:Start *}
    {if SAA_Sys::getSett('comment.is_enabled') && SAA_Sys::getSett('comment.on_score_pg') && (SAA_Sys::isUser() || SAA_Sys::getSett('comment.guest_can_view'))}
        {call comment type='game' item_id=$aGame.game_id}
    {/if}
{* The Game Comments:End *}

{/block}