<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Index View
 * @license GoLevel LLC
 */
?>
{block "header"}
<script type="text/javascript">
var iFeaturedPg = 1;
var iFavoritePg = 1;

function loadGames(sType, iPg)
{
    iUser = {SAA_Sys::getUserId()};

    aParam = {};

    if( typeof(sType) == 'undefined' )
    {
        aParam.type = 'browse';
    }
    else
    {
        aParam.type = sType;
    }

    if( sType == 'feature' )
    {
        aParam.is_featured = 1;
        aParam.location = 'featured_games';

        if( typeof(iPg) == 'undefined' )
        {
            aParam.pg = iFeaturedPg;
        }
        else
        {
            aParam.pg = iFeaturedPg = iPg;
        }
    }
    else if( sType == 'favorite' )
    {
        aParam.is_favorite = 1;
        aParam.location = 'favorite_games';

        if( typeof(iPg) == 'undefined' )
        {
            aParam.pg = iFavoritePg;
        }
        else
        {
            aParam.pg = iFavoritePg = iPg;
        }
    }

    aCont = { aForm:aParam };

    ajaxProcess('game.search', aCont);
}

$(function()
{
    var iGame = 0;

    $("input:submit").button();
{if SAA_Sys::getSett('feed.on_index_pg')}
    var refreshId = setInterval(function()
    {
        ajaxProcess('feed.get');
    }, {SAA_Sys::getSett('feed.refresh_rate') * 1000});

    ajaxProcess('feed.get');
{/if}

{if SAA_Sys::getSett('feature.on_index_pg')}
    loadGames('feature');
{/if}
{if SAA_Sys::isUser()}

    {if SAA_Sys::getSett('favorite.is_enabled')}
$('.js_user_favorite').live('click', function()
{
    iGame = extractId($(this).parents('.js_game:first'), 'js_game_');

    ajaxProcess('game.favoriteToggle', { game_id:iGame });
});

$('.js_remove_favorite').live('click', function()
{
    iGame = extractId($(this).parents('.js_game:first'), 'js_game_');

    ajaxProcess('game.favoriteRemove', { game_id:iGame });
});

loadGames('favorite');
    {/if}

{/if}

{if SAA_Sys::isAdmin()}
    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Removal',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                ajaxProcess('game.delete', 'game_id=' + iGame + '&is_public=1');
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    });

    $('.js_game_delete').live('click', function()
    {
        oDiv = $(this).parents('.js_game:first');

        iGame = extractId(oDiv, 'js_game_');

        $('#dialog-message').attr('title', 'Confirm Removal').html('Are you sure you want to remove "'+ oDiv.find('.js_game_title').text() +'"?');
        $('#dialog-message').dialog('open');
    });
{/if}
});
</script>
{/block}
{block "body"}

{* Feed:Start *}
{if SAA_Sys::getSett('feed.on_index_pg')}
<div id="feed_container" class="m_bt_20 w75" style="display:none;"></div>
{/if}
{* Feed:End *}

{* Featured Games:Start *}
<div id="featured_games"></div>
{* Featured Games:End *}

{* Favorite Games:Start *}
{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
<div id="favorite_games"></div>
{/if}
{* Favorite Games:End *}

{/block}