<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Leaderboard View
 * @license GoLevel LLC
 */
?>
{block "header"}

{/block}
{block "body"}

<div class="big_spacer"></div>

{* Top Games:Start *}
<div class="f_left w45">
<h4>{phrase var='leaderboard.top_games_by_of_times_played'}</h4>

<div>
    <table class="list">
        <tr>
            <th class="table_top_left"></th>
            <th></th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aTopGames as $aGame}
        <tr>
            <td>{$aGame@iteration}</td>
            <td><a href="{url link="game.{$aGame.slug}"}">{$aGame.text.title}</a></td>
            <td>{$aGame.total_plays}</td>
        </tr>
    {foreachelse}
        <tr>
            <td colspan="3">
                <div class="goodBox">
                    <span></span> <strong> {phrase var='leaderboard.there_are_no_games_listed'}</strong>
                </div>
            </td>
        </tr>
    {/foreach}
    </table>
</div>

</div>
{* Top Games:End *}

{* Top Players:Start *}

{if SAA_Sys::getSett('score.scores_on')}

<div class="f_right w45">
<h4>{phrase var='leaderboard.top_players_by_of_records_held'}</h4>

<div>
    <table class="list">
        <tr>
            <th class="table_top_left"></th>
            <th></th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aTopPlayers as $aUser}
        <tr>
            <td>{$aUser@iteration}</td>
            <td>
                {if SAA_Sys::getSett('user.enable_profile')}
                <a href="{url link='profile' user=$aUser.user_id}">{$aUser.user_name}</a>
                {else}
                {$aUser.user_name}
                {/if}
            </td>
            <td>{$aUser.total_champs}</td>
        </tr>
    {foreachelse}
        <tr>
            <td colspan="3">
                <div class="goodBox">
                    <span></span> <strong> {phrase var='leaderboard.there_are_no_users_listed_at_this_time'}</strong>
                </div>
            </td>
        </tr>
    {/foreach}
    </table>
</div>

</div>

{/if}

{* Top Players:End *}

<div class="clear"></div>

{/block}