<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name User Account View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $('#form').submit(function()
    {
        $('#form_loading').show();
    });
});
</script>

{/block}

{block "body"}

<form method="post" action="{url link='user.account'}" id="form" enctype="multipart/form-data">
<table>
    {if !$aUser.facebook_id}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='account.picture'}:</td>
        <td>
            <div><input type="file" name="image"/></div>
            <div>{img user=$aUser sq_size="50"}</div>
        </td>
    </tr>
    {/if}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='account.email'}:</td>
        <td>{input type="text" name="aForm[email]" size="32" id="email" default=$aUser.email}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='user.png'}" /> {phrase var='account.name'}:</td>
        <td>{input type="text" name="aForm[user_name]" size="16" id="user_name" default=$aUser.user_name}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key.png'}" /> {phrase var='account.change_password'}:</td>
        <td>{input type="password" name="aForm[password]" size="16"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key-add.png'}" /> {phrase var='account.confirm_change'}:</td>
        <td>{input type="password" name="aForm[confirm]" size="16"}</td>
    </tr>
{if count($aLanguages) > 1}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='information.png'}" /> {phrase var='account.language'}:</td>
        <td>
            <select name="aForm[lang_id]">
            {foreach $aLanguages as $iLanguage => $aLanguage}
                <option value="{$iLanguage}" {if $iLanguage == $aUser.lang_id}selected{/if}>{$aLanguage.title}</option>
            {/foreach}
            </select>
        </td>
    </tr>
{/if}
{if count($aThemes) > 1}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='information.png'}" /> {phrase var='account.theme'}:</td>
        <td>
            <select name="aForm[theme_id]">
            {foreach $aThemes as $iTheme => $aTheme}
                <option value="{$iTheme}" {if $iTheme == $aUser.theme_id}selected{/if}>{$aTheme.title}</option>
            {/foreach}
            </select>
        </td>
    </tr>
{/if}
    <tr>
        <td></td>
        <td>
            <span id="form_loading" style="display:none;"><img src="{url theme='images' file='loader-circle-small.gif'}"></span>
            <input type="submit" name="submit" value="{phrase var='account.save'}" />
        </td>
    </tr>
</table>
</form>

{/block}