<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name User Forgotten View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $('#form').submit(function()
    {
        if( $('#email').val() == '' )
        {
            SAA.error.add('{phrase var="user.please_provide_the_email_associated_with_your_account" js_escape=true}')
        }

        bPass = true;

        if( SAA.error.has() )
        {
            bPass = false;

            SAA.error.show(null, 'dialog');
        }

        if( bPass )
        {
            ajaxProcess('user.forgotPassword', { 'email': $('#email').val() }, { loading:'#form_loading' });
        }
    });
});
</script>

{/block}
{block "body"}

<form method="post" action="#" id="form" onsubmit="return false;">
<table>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='user.email'}:</td>
        <td>{input type="text" name="email" size="16" id="email"}</td>
    </tr>
    <tr>
        <td></td>
        <td>
            <span id="form_loading" style="display:none;"><img src="{url theme='images' file='loader-circle-small.gif'}"></span>
            <input type="submit" name="submit" value="{phrase var='user.send_lost_password_email'}" />
        </td>
    </tr>
</table>
</form>

{/block}