<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Include Header
 * @license GoLevel LLC
 */
?>

<html>
    <head>
        <title>StandAloneArcade <?php (isset($sHeadTitle) ? '- ' . $sHeadTitle : '- Installation'); ?></title>
        <?php if( isset($sHead) ) echo $sHead; ?>
        <link type="text/css" href="../design/theme/default/css/admin/admin.css" rel="stylesheet" />
        <script type="text/javascript" src="../design/static/js/jquery/jquery-1.4.4.min.js"></script>
        <script type="text/javascript" src="../design/static/js/jquery/jquery-ui-1.8.9.custom.min.js"></script>
        <script type="text/javascript" src="../design/static/js/message.js"></script>
    </head>
    <body>
        <div id="dialog-message" style="display: none;"></div>
        <div id="ajax-dialog-message" style="display: none;"></div>
        <div id="ajax-dialog-box" style="display: none;"></div>
        <div id="wrap">
            <div id="header"></div>
            <div id="nav"></div>
            <div id="content">

		<?php if( isset($_sUpdateVersion, $_sTargetVersion) ): ?>
			<div style="margin: 10px; text-align:right;">Updating from v<?=$_sUpdateVersion?> to v<?=$_sTargetVersion?>.</div>
		<?php endif; ?>