<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Permission Page
 * @license GoLevel LLC
 */

$sHeadTitle = 'File/Folder Permission';

$oFile = SAA_Sys::getLib('file');

$aFiles = array(
    SAA_DIR . 'application' . DS . 'file' . DS . 'ads',
    SAA_DIR . 'application' . DS . 'file' . DS . 'cache',
    SAA_DIR . 'application' . DS . 'file' . DS . 'cache' . DS . 'smarty',
    SAA_DIR . 'application' . DS . 'file' . DS . 'cache' . DS . 'smarty' . DS . 'cached' . DS,
    SAA_DIR . 'application' . DS . 'file' . DS . 'cache' . DS . 'smarty' . DS . 'compiled' . DS,
    SAA_DIR . 'application' . DS . 'file' . DS . 'game',
    SAA_DIR . 'application' . DS . 'file' . DS . 'game' . DS . 'image' . DS,
    SAA_DIR . 'application' . DS . 'file' . DS . 'game' . DS . 'swf' . DS,
    SAA_DIR . 'application' . DS . 'file' . DS . 'user',
    SAA_DIR . 'application' . DS . 'file' . DS . 'user' . DS . 'image' . DS,
    SAA_DIR . 'system' . DS . 'include' . DS . 'app.php'
);

foreach($aFiles as $i => $sFile)
{
    if( $oFile->getPermission($sFile) == '0777' )
    {
        unset($aFiles[$i]);
    }
}

if( !$aFiles )
{
    header('Location: ./install.php?c=db-setup');
    exit;
}
?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<div class="errBox">
    Please CHMOD the following folder/file(s) to 0777:
</div>
<div class="spacer"></div>

<div class="errBox">
    <ul>
<?php
foreach($aFiles as $sFile)
{
    ?><li><?php echo $sFile; ?></li><?php
}
?>
    </ul>
</div>

<div class="spacer"></div>

<div class="p_t_8 m_b_4" align="right">
    <a href="./install.php?c=permissions" class="link_box" id="js_next_btn">Next</a>
</div>

<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>