<?php
/**
 *
 * @author Hutton
 * @name ajax.php
 * @license GoLevel LLC
 */

if( !isset($_REQUEST['ajaxProcess']) )
{
    exit('No ajax call to process.');
}

if( !isset($_SERVER['HTTP_X_REQUESTED_WITH']) || $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' )
{
    exit('Not an ajax request.');
}

define('Trapper', true);

define('DS', DIRECTORY_SEPARATOR); //Directory Seperator

define('SAA_DIR', dirname(dirname(__FILE__)) . DS); //SAA Directory

define('SAA_START_TIME', array_sum(explode(' ', microtime())));

define('SAA_IS_AJAX', true);

require(SAA_DIR . 'system' . DS . 'execute.php');

SAA_Sys::getLib('ajax')->_load();
?>