<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Cache Libaray Class
 * @license GoLevel LLC
 */

Class SAA_Cache
{
    private $_oCache = null;

    /**
     * Class Constructor
     */
    public function __construct()
    {
	if( !$this->_oCache )
	{
	    switch( SAA_Sys::getSett('core.cache') )
	    {
		/*
		 * Add your driver here
		 *
		 * SAA_Sys::getSett('core.cache') can be found in the system/include/app.php
		 *
		 * Example:
		    case 'file':
		    $sDriver = 'cache.driver.file';
		    break;
		 *
		 */
		default:
		    $sDriver = 'cache.driver.file';
	    }

	    $this->_oCache = SAA_Sys::getLib($sDriver);
	}
    }

    /**
     * Gets the instance of cache class
     *
     * @return object
     */
    public function &getInstance()
    {
	return $this->_oCache;
    }
}
?>
