<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Error Library Class
 * @license GoLevel LLC
 */

Class SAA_Error
{
    private static $_aErrors = array();

    /**
     * Class Constructor
     */
    public function  __construct()
    {
	
    }

    /**
     * Adds an error
     *
     * @param string $sError
     * @return false
     */
    public static function add($sError)
    {
    	self::$_aErrors[] = $sError;

	return false;
    }

    /**
     * Purges all errors
     */
    public static function clear()
    {
	self::$_aErrors = array();
    }

    /**
     * Get all stored errors
     *
     * @return array
     */
    public static function get()
    {
	return self::$_aErrors;
    }

    /**
     * Checks if there are errors
     *
     * @return bool
     */
    public static function is()
    {
	return (bool) count(self::$_aErrors);
    }
}
?>
