<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Email Library Class
 * @license GoLevel LLC
 */

Class SAA_Mail
{
    private $_oCache = null;

    /**
     * Class Construct
     */
    public function __construct()
    {
	if( !$this->_oCache )
	{
	    switch( SAA_Sys::getSett('mail.method') )
	    {
		/*
		 * Add your driver here
		 *
		 * Example:
		    case 'mailer':
		    $sDriver = 'cache.driver.mailer';
		    break;
		 *
		 */
                case 'smtp':
                    $sDriver = 'mail.driver.smtp';
		default:
		    $sDriver = 'mail.driver.mail';
	    }

	    $this->_oCache = SAA_Sys::getLib($sDriver);
	}
    }

    /**
     *
     * @return instance
     */
    public function &getInstance()
    {
	return $this->_oCache;
    }
}
?>
