<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Xml Parser Library
 * @license GoLevel LLC
 */

class SAA_Xml_Parser
{
    private $_oXml = null;

    public function __construct()
    {
	if( !$this->_oXml )
	{
            if( function_exists('simplexml_load_file') && version_compare(phpversion(), '5.3.0', '>') === true )
            {
                $sDriver = 'xml.parser.simplexml';
            }
            else
            {
                $sDriver = 'xml.parser.xmlparser';
            }

	    $this->_oXml = SAA_Sys::getLib($sDriver);
	}
    }

    public function &getInstance()
    {
	return $this->_oXml;
    }
}
?>
