<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Game Achievement Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Achievement_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iGame = $this->request()->getInt('game_id');
        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 5;

        list($iAchievements, $aAchievements) = SAA_Sys::getModel('game.achievement')->getGameAll($iGame, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aAchievements' => $aAchievements,
            'iAchievements' => $iAchievements,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize
        ));
    }
}
?>
