<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Score Block Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Score_Block extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $oScore = SAA_Sys::getModel('score');

        $iGame = $this->request()->getInt('game-id');
        $iLimit = 5;

        if( !($aGame = SAA_Sys::getModel('game')->getSimple($iGame)) )
        {
            return false;
        }

        $this->template()
            ->clearInheritance()
            ->assign(array(
                'aScores' => $oScore->getTopScores($aGame, $iLimit),
                'sScoringPrefix' => $oScore->getScoringPrefix($iGame),
                'aGame' => $aGame
        ));
    }
}
?>
