<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Menu Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Menu extends SAA_Ajax
{
    /**
     * Deletes a menu item and its children
     */
    public function delete()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iMenu = $this->_request()->get('id');

        if( SAA_Sys::getModel('menu.process')->delete($iMenu) )
        {
            return $this
                ->_call("$('#dialog-message').dialog('close');")
                ->remove('#js_menu_' . $iMenu);
        }
    }

    /**
     * Saves the order
     */
    public function order()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $aOrder = $this->_request()->getArray('aOrder');

        if( SAA_Sys::getModel('menu.process')->editOrder($aOrder) )
        {
            $this->message('New order of the menu items has been saved.');
        }
        else
        {
            $this->alert('Opps! There was an error in saving the order.');
        }
    }
}
?>
