<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Setting Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Setting extends SAA_Ajax
{
    /*
     * Gets the settings with filter
     */
    public function getByFilter()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $this->html('#js_setting_content', $this->_loadController('admin.setting'))
            ->show('#js_setting_content');
    }

    /*
     * Saves the changed settings
     */
    public function save()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $aSetting = $this->_request()->getArray('aSetting');

        if( SAA_Sys::getModel('setting.process')->edit($aSetting) )
        {
            $this->message('Settings have been updated.');
        }
        else
        {
            $this->alert('Opps! There was an error in saving the settings.');
        }
    }
}
?>
