<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Setting Index View
 * @license GoLevel LLC
 */
?>
{block "body"}

{if count($aSettings)}

<script type="text/javascript">
function add_input(oObj, sGroup, iType)
{
    var sValue = $(oObj).parents('.js_array_holder:first').find('.js_add_to_array').val();
    var iCnt = (parseInt($(oObj).parents('.js_array_holder:first').find('.js_array_count').html()) + 1);

    if( iType == 2 )
    {
        var sValue2 = $(oObj).parents('.js_array_holder:first').find('.js_add_to_array_2').val();

        $(oObj).parents('.js_array_holder:first').find('.js_array_data').append('<div class="js_array' + iCnt + '"><div class="p_4"><input type="text" class="js_setting" name="aSetting[' + sGroup + '][key][]" value="' + sValue + '" size="20" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" class="js_setting" name="aSetting[' + sGroup + '][value][]" value="' + sValue2 + '" size="20" /> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a></div></div>');
        $(oObj).parents('.js_array_holder:first').find('.js_add_to_array_2').val('');
    }
    else
    {
        $(oObj).parents('.js_array_holder:first').find('.js_array_data').after('<div class="p_4 js_array' + iCnt + '"><input type="text" class="js_setting" name="aSetting[' + sGroup + '][]" value="' + sValue + '" size="30" /> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a></div>');
    }

    $(oObj).parents('.js_array_holder:first').find('.js_array_count').html(iCnt);
    $(oObj).parents('.js_array_holder:first').find('.js_add_to_array').val('').focus();

    return false;
}


$(function()
{
    sHeader = $("#jump").find(":selected").parents('optgroup:first').attr('label') + ' - ' + $("#jump").find(":selected").text();

    $("input:submit").button();
    $("input[type='radio']").parent("td").buttonset();
    $("input[type='button']").parent("div").buttonset();
    $("#js_setting_table_header").text(sHeader);
    $("#js_setting_button").show();

    $('#js_setting_form').submit(function()
    {
		{$sJsActions}

        sForm = '';

        $('.js_setting').each(function()
        {
            if( $(this).parents("tr:first").is(':visible') )
            {
                sSerialize = $(this).serialize();

                if( sSerialize )
                    sForm += '&' + sSerialize;
            }
        } );

        sForm = $.trim(sForm);

		if( SAA.error.has() )
		{
			SAA.error.show(false, 'dialog')
		}
		else
		{
			ajaxProcess('setting.save', sForm, { loading: "#js_setting_form_loading" });
		}
    } );
} );
</script>

<form method="POST" action="#" id="js_setting_form" onsubmit="return false;">

<table class="details">
    <tr>
        <th class="table_top_left" id="js_setting_table_header"></th>
        <th></th>
        <th class="table_top_right"></th>
    </tr>
{foreach $aSettings as $aSetting}
    <tr>
        <td class="col_left">{$aSetting.setting_title} <p><i>{$aSetting.setting_explain}</i></p></td>
        <td class="col_right">
    {if $aSetting.type_id == 'array'}
            <div class="js_array_holder">
	{if $aSetting.value_current.type == 2}
            {foreach $aSetting.value_current.values as $sValue}
		<div class="js_array{$sValue@index}">
                    <div class="p_4">
                	<input type="text" class="js_setting" name="aSetting[{$aSetting.setting_id}][key][]" value="{$sValue@key|escape:'html'}" size="20"/> &nbsp;&nbsp;&nbsp;
			<input type="text" class="js_setting" name="aSetting[{$aSetting.setting_id}][value][]" value="{$sValue|escape:'html'}" size="20"/> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a>
                    </div>
		</div>
            {/foreach}
		<div class="js_array_data"></div>
		<div class="js_array_count" style="display:none;">{if count($aSetting.value_current.values)}{count($aSetting.value_current.values)+0}{/if}</div>
                <div>
                    <div class="p_4">
                        <input type="text" class="js_setting js_add_to_array" name="aSetting[{$aSetting.setting_id}][key][]" value="" size="20"/> &nbsp;&nbsp;&nbsp;
                        <input type="text" class="js_setting js_add_to_array_2" name="aSetting[{$aSetting.setting_id}][value][]" value="" size="20"/> <input type="button" name="button" value="Add" onclick="add_input(this, '{$aSetting.setting_id}', 2);" />
                    </div>
                    <div class="p_4"></div>
		</div>
	{else}
            {foreach $aSetting.value_current.values as $sValue}
                <div class="p_4 js_array{$sValue@index}">
                    <input type="text" class="js_setting" name="aSetting[{$aSetting.setting_id}][{$sValue@key}]" value="{$sValue|escape:'html'}" size="30"/> - <a href="#" onclick="$(this).parent().remove(); return false;">Remove</a>
                </div>
            {/foreach}
                <div class="js_array_data"></div>
                <div class="js_array_count" style="display:none;">{if count($aSetting.value_current.values)}{count($aSetting.value_current.values)+0}{/if}</div>
                <div class="p_4">
                    <input type="text" class="js_setting js_add_to_array" name="aSetting[{$aSetting.setting_id}][]" value="" size="30"/> &nbsp;
                    <input type="button" name="button" value="Add" onclick="add_input(this, '{$aSetting.setting_id}', 1);" />
                </div>
	{/if}
            </div>
    {elseif $aSetting.type_id == 'bool'}
            {input type="radio" name="aSetting[{$aSetting.setting_id}]" class="js_setting" value=true default={$aSetting.value_current} id="{$aSetting.group_id}_{$aSetting.var_name}_radio_true"}<label for="{$aSetting.group_id}_{$aSetting.var_name}_radio_true">On</label>
            {input type="radio" name="aSetting[{$aSetting.setting_id}]" class="js_setting" value=false default={$aSetting.value_current} id="{$aSetting.group_id}_{$aSetting.var_name}_radio_false"}<label for="{$aSetting.group_id}_{$aSetting.var_name}_radio_false">Off</label>
    {elseif $aSetting.type_id == 'int'}
            {input type="text" name="aSetting[{$aSetting.setting_id}]" class="js_setting" default=$aSetting.value_current size="2" maxlength="12" id="{$aSetting.group_id}_{$aSetting.var_name}"}
    {elseif $aSetting.type_id == 'select'}
            {input type="select" name="aSetting[{$aSetting.setting_id}]" class="js_setting" default=$aSetting.value_current.selected options=$aSetting.value_current.options id="{$aSetting.group_id}_{$aSetting.var_name}"}
    {elseif $aSetting.type_id == 'string'}
            {input type="text" name="aSetting[{$aSetting.setting_id}]" class="js_setting" default=$aSetting.value_current|escape size="50" id="{$aSetting.group_id}_{$aSetting.var_name}"}
    {elseif $aSetting.type_id == 'string_long'}
            {input type="textarea" name="aSetting[{$aSetting.setting_id}]" class="js_setting" default=$aSetting.value_current cols="50" rows="5" id="{$aSetting.group_id}_{$aSetting.var_name}"}
    {/if}
        </td>
        <td class="col_right">{$aSetting.group_id}.{$aSetting.var_name}</td>
    </tr>
{/foreach}
</table>
<div class="table_bottom" id="js_setting_button">
    <span id="js_setting_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="submit" name="aForm[submit]" value="Save"/>
</div>

</form>
{else}

<div class="errBox">
    <span></span> <strong>There are no settings for the selected group.</strong>
</div>

{/if}

{/block}