<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Comment List-Parent View
 * @license GoLevel LLC
 */
?>
{block "body"}
<script type="text/javascript">
$(function()
{
    $(".comment_delete_btn").button(
    {
       icons:
       {
            primary: "ui-icon ui-icon-closethick"
       },
       text: false
    });
});
</script>

{* Comment Container:Start *}
<div class="m_t_20">

{if !$bController}
<h4>{phrase var='comment.comments'}</h4>
{/if}

{capture "paginator" assign="paginator"}
<div class="m_t_10 m_b_4">
    <div class="p_4 f_left">
        <a href="#" onclick="loadComments({ldelim}leap_to:{$aParentComment.comment_id}{rdelim});" class="link_box">{phrase var='comment.go_back'}</a>
    </div>
    <div class="p_4 f_right">
        {paginator page=$iPg page_size=$iPgSize total=$iTotal href="#" onclick="loadComments({ldelim}pg:'{ldelim}pg{rdelim}', parent_id:{$aParentComment.comment_id}{rdelim});"}
    </div>
    <div class="clear"></div>
</div>
{/capture}

{$paginator}

<ul class="comment_list" id="js_comment_list">
{* The Parent Comment:Start *}
    <li class="parent" id="js_comment_{$aParentComment.comment_id}">
    {if SAA_Sys::getUserId() == $aParentComment.comment_user_id}
        <div class="f_right">
            <a href="#" class="comment_delete_btn"></a>
        </div>
    {/if}
        <div class="f_left m_r_10">{img user_prefix="comment_" user=$aParentComment link=true sq_size="50"}</div>
        <div>
            <div class="bolder">
            {if SAA_Sys::getSett('user.enable_profile')}
                <a href="{url link='profile' user=$aParentComment.comment_user_id}">{$aParentComment.comment_user_name}</a>
            {else}
                {$aParentComment.comment_user_name}
            {/if}
            </div>
            <div class="italic">{phrase var='comment.posted_on_date' date=$aParentComment.time_date}</div>
        </div>
        <div class="clear"></div>
        <div class="p_t_4 indent2">{$aParentComment.text}</div>
    </li>
{* The Parent Comment:End *}
{* The Comment List:Start *}
    {foreach $aList as $aComment}
    <li class="is_child" id="js_comment_{$aComment.comment_id}">
        <div class="child">
        {if SAA_Sys::getUserId() == $aComment.comment_user_id}
            <div class="f_right">
                <a href="#" class="comment_delete_btn"></a>
            </div>
        {/if}
            <div class="f_left m_r_10">{img user_prefix="comment_" user=$aComment link=true sq_size="50"}</div>
            <div>
                <div class="bolder">
                {if SAA_Sys::getSett('user.enable_profile')}
                    <a href="{url link='profile' user=$aComment.comment_user_id}">{$aComment.comment_user_name}</a>
                {else}
                    {$aComment.comment_user_name}
                {/if}
                </div>
                <div class="italic">{phrase var='comment.posted_on_date' date=$aComment.time_date}</div>
            </div>
            <div class="clear"></div>
            <div class="p_t_4 indent2">{$aComment.text}</div>
        </div>
    </li>
    {foreachelse}
    <li id="js_no_comment">
        <div class="goodBox">
        {if SAA_Sys::isUser()}
            {phrase var='comment.be_the_first_to_comment'}
        {else}
            {phrase var='comment.there_are_no_comments_listed'}
        {/if}
        </div>
    </li>
    {/foreach}
</ul>
{* The Comment List:End *}

{$paginator}

{* The Comment Form:Start *}
{if SAA_Sys::isUser()}
<form method="POST" action="#" onsubmit="return false;" class="js_comment_form w75" id="js_comment_form">
    <div class="p_t_4">
        <div>{input type="hidden" class="js_parent" value="{$aParentComment.comment_id}"}</div>
        <div>{input type="textarea" class="js_comment_text" cols="70" rows="3" style="width:100%;"}</div>
        <div align="right" class="p_t_4">
            <span class="js_comment_loading" style="display:none;"><img src="{url theme='images' file='loader-circle-small.gif'}"></span>
            <input type="submit" value="{phrase var='comment.submit'}" class="js_comment_btn" style="display:none;">
        </div>
    </div>
</form>
{/if}
{* The Comment Form:End *}

</div>
{* Comment Container:End *}

{/block}