<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Score Index View
 * @license GoLevel LLC
 */
?>

{block "body"}
<table class="m_t_10" style="width:100%;">
    <tr>

{* The Top Scores:Start *}
    {if SAA_Sys::getSett('score.top_score_limit') > 0}
        <td style="vertical-align:top;">
            <h5>{phrase var='score.top_scores'}</h5>

            <table cellspacing="0" cellpadding="0">
        {foreach $aTopScores as $aScore}
                <tr>
                    <td class="bolder">{$aScore@iteration}.</td>
                    <td>{if SAA_Sys::getSett('user.enable_profile')}<a href="{url link='profile' user=$aScore.user_id}">{$aScore.user_name}</a>{else}{$aScore.user_name}{/if}</td>
                    <td style="width:25px;">&nbsp;</td>
                    <td class="bolder">{$aScore.score} <i>{$sScoringPrefix}</i></td>
                </tr>
        {/foreach}
            </table>
        </td>
    {/if}
{* The Top Scores:End *}

{* The Users Top Scores:Start *}
    {if SAA_Sys::isUser() && SAA_Sys::getSett('score.user_score_limit') > 0}
        <td style="vertical-align:top;">
            <h5>{phrase var='score.user_top_scores'}</h5>

            <table cellspacing="0" cellpadding="0">
        {foreach $aUserScores as $aScore}
                <tr>
                    <td class="bolder">{$aScore@iteration}.</td>
                    <td class="bolder">{$aScore.score} <i>{$sScoringPrefix}</i></td>
                </tr>
        {/foreach}
            </table>
        </td>
    {/if}
{* The Users Top Scores:End *}

{* The Recent Scores:Start *}
    {if SAA_Sys::getSett('score.recent_score_limit') > 0}
        <td style="vertical-align:top;">
            <h5>{phrase var='score.latest_scores'}</h5>

            <table cellspacing="0" cellpadding="0">
        {foreach $aRecentScores as $aScore}
                <tr>
                    <td class="bolder">{$aScore@iteration}.</td>
                    <td>{if SAA_Sys::getSett('user.enable_profile')}<a href="{url link='profile' user=$aScore.user_id}">{$aScore.user_name}</a>{else}{$aScore.user_name}{/if}</td>
                    <td style="width:25px;">&nbsp;</td>
                    <td class="bolder">{$aScore.score} <i>{$sScoringPrefix}</i></td>
                </tr>
        {/foreach}
            </table>
        </td>
    {/if}
{* The Recent Scores:End *}

    </tr>
</table>
{/block}