<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Adder Mochi Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Adder_Mochi extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iGameType = SAA_Sys::getModel('game.type')->get('MochiMedia', false);

        if( SAA_Sys::getSett('mochi.publisher_id') == '' )
        {
            $this->url()->send('admin.setting', array('group' => 'mochi'), 'Please provide a Publisher ID');
        }

        $this->template()
            ->setHeader(array('Game', 'Mass Adder', 'MochiMedia'))
            ->setTitle('MochiMedia Adder')
            ->assign(array(
                'iGameType' => $iGameType,
                'aMaps' => SAA_Sys::getModel('category.map')->getAllType($iGameType, false)
        ));
    }
}
?>
