<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader('Languages', true)
            ->assign(array(
                'aLanguages' => SAA_Sys::getModel('language')->getAll()
        ));
    }
}
?>
