<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Phrase Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Phrase_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( ($mPhrase = SAA_Sys::getModel('language.phrase.process')->add($aVal)) )
            {
               $this->url()->reload(array('section-id' => $aVal['section_id']), 'Language phrase <b>'. $mPhrase['section_id'] .'.'. $mPhrase['var_name'] .'</b> has been added.');
            }
        }

        $this->template()
            ->setHeader('Add Phrase', true)
            ->assign(array(
            'sSection' => $this->request()->get('section-id', ''),
            'aLanguages' => SAA_Sys::getModel('language')->getAll(true),
            'aSections' => SAA_Sys::getModel('language.section')->getAllForSelect()
        ));
    }
}
?>
