<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Phrase Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Phrase_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader(array('Languages', 'Search Phrases'))
            ->setTitle('Search Phrases')
            ->assign(array(
                'aSections' => SAA_Sys::getModel('language.section')->getAllForSelect()
        ));
    }
}
?>
