<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Section_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('language.section.process')->add($aVal) )
            {
                $this->url()->send('admin.language.section', null, 'Language section has been created.');
            }
        }

        $this->template()
            ->setHeader('Create Language Section', true)
            ->assign(array(
            'sSection' => $this->request()->get('section-id', ''),
            'aLanguages' => SAA_Sys::getModel('language')->getAll(true),
            'aSections' => SAA_Sys::getModel('language.section')->getAllForSelect()
        ));
    }
}
?>
