<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Section_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader('Language Sections', true)
            ->assign(array(
                'aSections' => SAA_Sys::getModel('language.section')->getAll()
        ));
    }
}
?>
