<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Group_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('setting.group.process')->add($aVal) )
            {
                $this->url()->reload(null, 'Group setting has been created.');
            }
        }

        $this->template()
            ->setHeader(array('Setting', 'Group', 'Add'))
            ->setTitle('Add Group Setting');
    }
}
?>
