<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Ad Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Ad_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader(array('Tools', 'Ads'))
            ->setTitle('Ads')
            ->assign(array(
                'aAds' => SAA_Sys::getModel('ad')->getAll(),
        ));
    }
}
?>
