<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Report View Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Report_View extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->get('id');

        if( !($aReport = SAA_Sys::getModel('report')->get($iId)) )
        {
            return SAA_Error::add('The report cannot be found.');
        }

        $this->template()
            ->setHeader('Tools')
            ->setHeader('View Report', true)
            ->assign(array(
                'aReport' => $aReport
            ));
    }
}
?>
