<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Reset Cache Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Reset_Cache extends SAA_Controller
{
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    public function load()
    {
        if( $this->request()->get('submit') )
        {
           SAA_Sys::getLib('cache')->removeAll();

           $this->url()->reload(null, 'Cache has been cleared.');
        }

        $this->template()->setHeader(array(
            'Tools',
            'Reset',
            'Cache'
        ))->setTitle('Reset Cache');
    }
}
?>
