<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Theme Revert Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Theme_Revert extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        SAA_Sys::getModel('theme.process')->restore();

        $this->url()->send('admin.tools.theme', null, 'The "default" theme has now been restored as the default theme.');
    }
}
?>
