<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.home_title'))
            ->setDescription(SAA_Sys::getSett('meta.home_description'))
            ->assign(array(
                'bRatingOn' => (SAA_Sys::getModel('rating')->isEnabled('game') ? true : false),
            ));

    }
}
?>
