<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Comment Callback Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Comment_Callback extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets the text for the feed
     *
     * @param array $aItem
     * @return mixed
     */
    public function getFeed($aItem, $sModel)
    {
        $aRow = SAA_Sys::getModel($sModel . '.callback')->getCommentFeed($aItem);

        return SAA_Sys::getLib('language')->getPhrase('feed.user_has_just_commented_on_item', array(
            'user' => SAA_Sys::getModel('user')->getName($aItem['user_id']),
            'item' => '<a href="'.$aRow['url'].'">'.$aRow['title'].'</a>'
        ));
    }
}
?>
