<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Rebuild View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function rebuild()
{
    $("#js_form").hide();
    $("#js_content").show();

    ajaxProcess('category.rebuildCache', $('#js_form').serialize());
}

$(function()
{
    $("#js_form").submit(function()
    {
        if( $('#js_total').val() == 0 )
        {
            if( confirm('Are you sure you want to rebuild category cache?') )
            {
                rebuild();
            }
        }
        else
        {
            rebuild();
        }

        return false;
    } );

    $("input:submit").button();
} );
</script>

{/block}

{block "body"}

<div id="js_content" align="center" style="display: none">
    <div class="errorBox"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"> Rebuilding cache. Please wait...</div>
</div>

<form method="POST" action="#" id="js_form">
{input type="hidden" name="aForm[total]" default=0 id="js_total"}
{input type="hidden" name="aForm[page]" default=1 id="js_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Rebuild Cache</th>
            <th class="table_top_right"></th>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Start"/>
    </div>
</form>

<br/>
{/block}