<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Import View
 * @license GoLevel LLC
 */
?>

{block "header"}
<link href="{url theme="css.uploader" file="uploadify.css"}" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="{url folder='design.static.js' file='uploader.js'}"></script>

<script type="text/javascript">
$(document).ready(function()
{
    $("input:submit").button();

    $('#file_upload').uploadify(
    {
        'buttonText'  : 'Select a File',
        'cancelImg': "{url theme='images.admin.icons' file='cancel.png'}",
        'uploader': oSett.sUrl + 'design/static/swf/uploader/uploadify.swf',
        'script': '{url link="admin.language.uploader" sForceUserHash=$sForceHash}',
        'folder': oSett.sUrl + 'application/file/cache',
        'auto': false,
        'onError': function (event, ID, fileObj, errorObj)
        {
            SAA.error.show('An error occurred while attempting to import the file.');
        },
        'onComplete'  : function(event, ID, fileObj, response, data)
        {
            eval(response);
        }
    });

    $('#js_import_btn').click(function()
    {
        $('#file_upload').uploadifyUpload();
    });

    $('#js_import_submit').submit(function()
    {
        sStage = $('#js_import_stage').val();

        if( sStage == 'missing-phrases' )
        {
            sLoading = 'Filling missing phrases for language. Please wait...';
        }
        else if( sStage == 'missing-game-phrases' )
        {
            iLeft = $('#js_import_left').val();
            sText = (iLeft > 0 ? 'There '+ (iLeft > 1 ? 'are '+ iLeft +' phrases' : 'is one phrase') +' left to be add.' : '');

            sLoading = 'Adding missing game phrases for languages. '+ sText +' Please wait...';
        }
        else if( sStage == 'adding-phrases' )
        {
            sLoading = 'Adding new phrases to existing languages. Please wait...';
        }

        $('#js_language_loader').find('span').html(sLoading);

        ajaxProcess('language.import', $(this).serialize(), { 'loading': '#js_language_loader' });

        return false;
    });
});
</script>
{/block}
{block "body"}
<div id="js_language_loader" align="center" style="display: none" >
    <img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span></span>
</div>

<form method="post" action="#" id="js_import_submit">
    {input type="hidden" name="aVal[language_id]" id="js_import_id"}
    {input type="hidden" name="aVal[stage]" id="js_import_stage"}
    {input type="hidden" name="aVal[left]" id="js_import_left" value="0"}
</form>

<div id="js_file_table">
    <table class="details">
        <tr>
            <th class="table_top_left">Language Pack</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left"></td>
            <td class="col_right"><input id="file_upload" name="file_upload" type="file" /></td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Import" id="js_import_btn"/>
    </div>
</div>
{/block}