<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Phrase Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $("#js_search_form").submit(function()
    {
        ajaxProcess('language.searchPhrases', $(this).serialize(), { loading:'#js_search_content_loader', hide:'#js_search_content' });

        return false;
    } );
} );

function triggerSearch(iPage)
{
    $('#js_search_page').val(iPage);
    $('#js_search_form').trigger('submit');
}
</script>

{/block}

{block "body"}
<form method="POST" action="#" id="js_search_form">
{input type="hidden" name="page" default=1 id="js_search_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Search Filter</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Section</td>
            <td class="col_right">{input type="select" name="aForm[section_id]" options=$aSections}</td>
        </tr>
        <tr>
            <td class="col_left">Phrase Name</td>
            <td class="col_right">{input type="text" name="aForm[var_name]" size="30"}</td>
        </tr>
        <tr>
            <td class="col_left">Phrase Text</td>
            <td class="col_right">{input type="text" name="aForm[search_text]" size="30"}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Search"/>
    </div>
</form>

<br/>

<div style="width: 100%">
    <div id="js_search_content_loader" align="center" style="display: none" >
        <img src="{url theme='images.admin' file='loader.gif'}">
    </div>
    <div id="js_search_content"></div>
</div>

{/block}