<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Add View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    sVal = $('#js_group_id').val();

    if( $('#js_name').val() == '' )
    {
        SAA.error.add('Please provide a name.')
    }

    if( sVal == '' )
    {
        SAA.error.add('Please provide an ID.');
    }
    else
    {
        sPattern = /^[a-z0-9]+$/i;

        if( !sPattern.test(sVal) )
        {
            SAA.error.add('Var name must contain alphanumeric characters.');
        }
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show(null, 'div');
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
} );
</script>

{/block}
{block "body"}

<form method="POST" action="{url link='admin.setting.group.add'}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Group Setting Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Name</td>
            <td class="col_right">{input type="text" name="aForm[group_name]" id="js_name"}</td>
        </tr>
        <tr>
            <td class="col_left">Id</td>
            <td class="col_right">{input type="text" name="aForm[group_id]" id="js_group_id"}</td>
        </tr>
        <tr>
            <td class="col_left">Javascript Actions</td>
            <td class="col_right">{input type="textarea" name="aForm[js_actions]" cols="70" rows="20"}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Create Group Setting"/>
    </div>
</form>

{/block}