<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Add View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    $('.js_text').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.col_left').text() +'.');
        }
    } );

    if( SAA.error.has() )
    {
        SAA.error.show(false, 'div');

        bPass = false;
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#js_form").buttonset();
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.tools.menu.add'}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Menu Details</th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aLanguages as $iLanguage => $sLanguage}
        <tr>
            <td class="col_left">{$sLanguage}</td>
            <td class="col_right">{input type="text" name="aForm[text][{$iLanguage}]" size="50" maxlen="100" class="js_text"}</td>
        </tr>
    {/foreach}
        <tr>
            <td class="col_left">URL</td>
            <td class="col_right">{input type="text" name="aForm[href_link]" size="50" id="js_link"}</td>
        </tr>
        {if count($aMenuItems)}
        <tr>
            <td class="col_left">Parent Menu Item</td>
            <td class="col_right">
                <select name="aForm[parent_id]">
                    <option value=""></option>
            {foreach $aMenuItems as $aItem}
                    <option value="{$aItem.menu_id}">{phrase var=$aItem.menu_name}</option>
                {if isset($aItem.children)}
                    {foreach $aItem.children as $aChild}
                    <option value="{$aChild.menu_id}">&nbsp; {phrase var=$aChild.menu_name}</option>
                    {/foreach}
                {/if}
            {/foreach}
                </select>
            </td>
        </tr>
        {/if}
        <tr>
            <td class="col_left">Viewable By</td>
            <td class="col_right">
                <select name="aForm[type_id]">
                    <option value="1">Only Users</option>
                    <option value="2">Only Guests</option>
                    <option value="0" selected>Both Guests and Users</option>
                </select>
            </td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Add"/>
    </div>
</form>
{/block}