<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Rebuild Comments View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(document).ready(function()
{
    $("#js_form").submit(function()
    {
        sStage = $('#js_stage').val();

        if( sStage == 'remove-missing' )
        {
            iLeft = $('#js_total').val();

            sText = (iLeft > 0 ? 'There '+ (iLeft > 1 ? 'are '+ iLeft +' comments' : 'is one comment') +' needing to be cleaned.' : '');

            sLoading = 'Cleaning the database. '+ sText +' Please wait...';
        }
        else if( sStage == 'reparsing' )
        {
            iTotal = $('#js_total').val();
            iCompleted = $('#js_completed').val();
            iRemaining = iTotal - iCompleted;

            sText = (iTotal > 0 ? 'There '+ (iRemaining > 1 ? 'are '+ iRemaining +' comments' : 'is one comment') +' needing to be parsed.' : '');

            sLoading = 'Re-parsing the comment text. '+ sText +' Please wait...';
        }

        $('#js_content').find('span').html(sLoading);

        ajaxProcess('comment.rebuild', $(this).serialize(), { 'loading': '#js_content' });

        return false;
    } );

    $("input:submit").button();
} );
</script>

{/block}

{block "body"}

<div id="js_content" align="center" style="display: none">
    <div><img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span>Rebuilding comment. Please wait...</span></div>
    <br/><br/>
</div>

<form method="POST" action="#" id="js_form">
{input type="hidden" name="aForm[total]" default=0 id="js_total"}
{input type="hidden" name="aForm[stage]" value="remove-missing" id="js_stage"}
{input type="hidden" name="aForm[page]" default=0 id="js_page"}
{input type="hidden" name="aForm[completed]" default=0 id="js_completed"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Rebuild Comments</th>
            <th class="table_top_right"></th>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Start"/>
    </div>
</form>

<br/>
{/block}