<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Report Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("#js_search_form").buttonset();
    $("input:submit").button();

    $("#js_search_form").submit(function(event, bFromLink)
    {
        if( !bFromLink )
        {
            $('#js_search_page').val(1);
        }

        ajaxProcess('report.search', $(this).serialize(), { loading: "#js_search_form_loading" });

        return false;
    } );

    $('#js_search_form').trigger('submit');
} );

function triggerSearch(iPage)
{
    $('#js_search_page').val(iPage);
    $('#js_search_form').trigger('submit', true);
}
</script>

{/block}

{block "body"}
<form method="POST" action="#" id="js_search_form">
{input type="hidden" name="page" default=1 id="js_search_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Search Reports</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Report Type</td>
            <td class="col_right">
        {foreach $aTypes as $aType}
                {input type="radio" name="aForm[model_id]" value=$aType.model_id id="type_{$aType.model_id}" default=$sModelId} <label for="type_{$aType.model_id}">{$aType.model_id|capitalize}</label>
        {foreachelse}
                <i>There are no report types at this time.</i>
        {/foreach}
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <span id="js_search_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="submit" name="aForm[submit]" value="Search"/>
    </div>
</form>

<br/>

<div style="width: 100%">
    <div id="js_content"></div>
</div>

{/block}