<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Report View View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    
});
</script>

{/block}

{block "body"}
<table class="details">
    <tr>
        <th class="table_top_left">Report</th>
        <th class="table_top_right"></th>
    </tr>
    <tr>
        <td class="col_left">Item Title:</td>
        <td class="col_right"><a href="{$aReport.item.view_url}">{$aReport.item.title}</a></td>
    </tr>
    {if isset($aReport.user_name)}
    <tr>
        <td class="col_left">Reported By:</td>
        <td class="col_right">{$aReport.user_name}</td>
    </tr>
    {/if}
    <tr>
        <td class="col_left">Time Reported:</td>
        <td class="col_right">{$aReport.time_reported|date_format:"%D"}</td>
    </tr>
    <tr>
        <td class="col_left">Infraction:</td>
        <td class="col_right">
            {foreach $aReport.type as $aType}
                {if $aType.type_id == 'inappropriate'}
                Inappropriate
                {elseif $aType.type_id == 'not_working'}
                Not Working
                {elseif $aType.type_id == 'copyrighted'}
                Copyright Infringement
                {/if}
                <br/>
            {/foreach}
        </td>
    </tr>
    <tr>
        <td class="col_left">Reason:</td>
        <td class="col_right">{$aReport.reason}</td>
    </tr>
</table>
<div class="table_bottom">&nbsp;</div>

{/block}