<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Theme Add View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    if( $('#js_title').val() == '' )
    {
        SAA.error.add('Please enter a title.');
    }

    if( SAA.error.has() )
    {
        SAA.error.show(false, 'div');

        bPass = false;
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#js_form").buttonset();
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.tools.theme.add'}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Menu Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[title]" size="50" id="js_title"}</td>
        </tr>
        <tr>
            <td class="col_left">Folder</td>
            <td class="col_right">
                <select name="aForm[folder_loc]">
            {foreach $aThemes as $sFolder}
                    <option value="{$sFolder}">{$sFolder}</option>
            {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">Is Active</td>
            <td class="col_right">
                <select name="aForm[is_active]">
                    <option value="1">Yes</option>
                    <option value="0" selected>No</option>
                </select>
            </td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Add"/>
    </div>
</form>
{/block}