<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Bridge Game Template Include
 * @license GoLevel LLC
 */
?>

{if $aGame.scoring && SAA_Sys::isUser()}
    {foreach $aGame.scoring_info as $sType => $sHash}
        {if $aGameTypes.$sType.game_type_title == 'MochiMedia'}

<div id="leaderboard_bridge"></div>
<script src="http://xs.mochiads.com/static/pub/swf/leaderboard.js" type="text/javascript"></script>
<script type="text/javascript">
    // Mochi Bridge
    var options = { partnerID: "{SAA_Sys::getSett('mochi.publisher_id')}", id: "leaderboard_bridge" };
    options.userID = "{$aUser.user_id}";
    options.username = "{$aUser.user_name}";
    // optional
    //options.sessionID = "sf908uw098urerjw3948";
    // optional
    options.gateway = "{url link='bridge.mochi'}";
    // optional
    {if SAA_Sys::getSett('user.enable_profile')}
    options.profileURL = "{url link='profile' user=$aUser.user_id}";
    {/if}
    // optional
    //options.logoURL = "http://www.example.com/images/icon_16x16.jpg";

    options.siteURL = "{url link=''}";
    options.siteName = "{SAA_Sys::getSett('global.site_name')}";
    options.postMedals = true;

    // optional
    //options.callback = function (params) { alert(params.name + " (" + params.username + ") just scored " + params.score + "!"); }
    // uncomment this to display global scores
    // options.globalScores = "true";

    // optional
    // options.denyScores = "Login to Example to submit scores!";

    // optional
    // options.denyFriends = "true";
    // optional
    // options.denyChallenges = "true";
    /*
    // uncomment this block for debug mode
    options.width = 320;
    options.height = 240;
    options.debug = "true";
    */
    Mochi.addLeaderboardIntegration(options);
</script>
        {/if}
    {/foreach}
{/if}