<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Create View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateCreate()
{
    SAA.error.ini({ 'location': '#create-message', 'type': 'div' });

    if( $('#create-email').val() == '' )
    {
        $('#create-email').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_an_email" js_escape=true}');
    }

    if( $('#create-name').val() == '' )
    {
        $('#create-name').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_a_user_name" js_escape=true}');
    }

    sPassword = $('#create-password').val();

    if( sPassword == '' )
    {
        $('#create-password').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_a_password_must_be_greater_than_5_characters" js_escape=true}');
    }
    else if( sPassword.length < 5 )
    {
        $('#create-password').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_must_be_greater_than_5_characters" js_escape=true}');
    }
    else if( $('#create-confirm').val() == '' )
    {
        $('#create-confirm').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_was_not_confirmed" js_escape=true}');
    }
    else if( $('#create-confirm').val() != sPassword )
    {
        $('#create-password, #create-confirm').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_does_not_match_confirmation" js_escape=true}');
    }
{if isset($sQuestion)}
    if( $('#create-security').val() == '' )
    {
        $('#create-security').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_answer_the_security_question" js_escape=true}');
    }
{/if}
    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
});
</script>

{/block}
{block "body"}

<div id="create-message"></div>

<form method="post" action="{url link='create'}" onsubmit="return validateCreate();">
<table>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='create.email'}:</td>
        <td>{input type="text" name="aCreate[email]" size="16" id="create-email"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='user.png'}" /> {phrase var='create.name'}:</td>
        <td>{input type="text" name="aCreate[name]" size="16" id="create-name"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key.png'}" /> {phrase var='create.password'}:</td>
        <td>{input type="password" name="aCreate[password]" size="16" id="create-password"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key-add.png'}" /> {phrase var='create.confirm'}:</td>
        <td>{input type="password" name="aCreate[confirm]" size="16" id="create-confirm"}</td>
    </tr>
    {if isset($sQuestion)}
    <tr>
        <td colspan="2">
            <div class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='lock.png'}" /> {$sQuestion}</div>
        </td>
    </tr>
    <tr>
        <td></td>
        <td>{input type="text" name="aCreate[security][{$sQuestionHash}]" size="16" id="create-security"}</td>
    </tr>
    {/if}
    <tr>
        <td></td>
        <td><input type="submit" name="submit" value="{phrase var='create.join'}" /></td>
    </tr>
</table>
</form>

{/block}