<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Feed Index View
 * @license GoLevel LLC
 */
?>
{block "body"}

{capture "paginator" assign="paginator"}
<div class="p_bt_4 m_t_4 m_b_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iItems href="{url link="feed" pg='{pg}'}"}
</div>
{/capture}

{$paginator}

{* The Feed List:Start *}
{if $aFeed}
<ul class="brdr-drk-grey">
    {foreach $aFeed as $aItem}
    <li class="p_10 {cycle values="lite-grey,grey"} {if !$aItem@first}m_t_2{/if}" id="js_feed_{$aItem.feed_id}">
        <div>{$aItem.text}</div>
    </li>
    {/foreach}
</ul>
{else}
<div class="errBox">{phrase var='feed.there_are_no_feed_items_at_this_time'}</div>
{/if}
{* The Feed List:End *}

{$paginator}

{/block}