<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Profile Index View
 * @license GoLevel LLC
 */
?>

{block "header"}
<script type="text/javascript">
var iFavoritePg = 1;

{if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_profile_pg')}
function loadAchievements(iPage, iGame)
{
    ajaxProcess('achievement.forProfile', { user_id:{$aProfile.user_id}, pg:iPage, game_id:iGame });
}
{/if}

{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::getSett('favorite.on_profile_pg')}
function loadFavorites(iPg)
{
    aParam = {};

    aParam.type = 'profile-favorite';
    aParam.favorite_user_id = {$aProfile.user_id};
    aParam.location = 'favorite_games';

    if( typeof(iPg) == 'undefined' )
    {
        aParam.pg = iFavoritePg;
    }
    else
    {
        aParam.pg = iFavoritePg = iPg;
    }

    aCont = { aForm:aParam };

    ajaxProcess('game.search', aCont);
}
{/if}

$(function()
{
    var iGame = 0;

    $("input:submit").button();

{if SAA_Sys::isUser()}

    {if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::getSett('favorite.on_profile_pg')}
$('.js_user_favorite').live('click', function()
{
    iGame = extractId($(this).parents('.js_game:first'), 'js_game_');

    ajaxProcess('game.favoriteToggle', { game_id:iGame });
});

$('.js_remove_favorite').live('click', function()
{
    iGame = extractId($(this).parents('.js_game:first'), 'js_game_');

    ajaxProcess('game.favoriteRemove', { game_id:iGame, func:'loadFavorites' });
});
    {/if}

{/if}

{if SAA_Sys::isAdmin()}
    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Removal',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                ajaxProcess('game.delete', 'game_id=' + iGame + '&is_public=1');
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    });

    $('.js_game_delete').live('click', function()
    {
        oDiv = $(this).parents('.js_game:first');

        iGame = extractId(oDiv, 'js_game_');

        $('#dialog-message').attr('title', 'Confirm Removal').html('Are you sure you want to remove "'+ oDiv.find('.js_game_title').text() +'"?');
        $('#dialog-message').dialog('open');
    });
{/if}

{if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_profile_pg')}
    loadAchievements(1);
{/if}
{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::getSett('favorite.on_profile_pg')}
    loadFavorites();
{/if}
});
</script>
{/block}

{block "body"}

<div class="big_spacer"></div>

{* Achievements:Start *}
{if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_profile_pg')}
<div id="achievements"></div>
{/if}
{* Achievements:End *}

<div class="big_spacer"></div>

{* Favorite Games:Start *}
{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::getSett('favorite.on_profile_pg')}
<div id="favorite_games"></div>
{/if}
{* Favorite Games:End *}

{/block}