<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Database Inserting Page
 * @license GoLevel LLC
 */

require_once(SAA_SYSTEM_INCLUDE . 'app.php');
require(SAA_SYSTEM_LIBRARY . 'model.class.php');

$sHeadTitle = 'Inserting Database Rows';

$oDb = SAA_Sys::getLib('database');

$sStage = (isset($_GET['stage']) ? $_GET['stage'] : 'theme');

if( $sStage == 'theme' )
{
    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'theme.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=db-rows&stage=language">';
    $sMsg = 'Inserting default theme data.';
}
elseif( $sStage == 'language' )
{
    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'language.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=db-rows&stage=game-type">';
    $sMsg = 'Inserting default language data.';
}
elseif( $sStage == 'game-type' )
{
    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'game-type.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=db-rows&stage=category">';
    $sMsg = 'Inserting game types.';
}
elseif( $sStage == 'category' )
{
    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'category.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=db-rows&stage=setting">';
    $sMsg = 'Inserting category maps and default categories.';
}
elseif( $sStage == 'setting' )
{
    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'setting.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=db-rows&stage=menu">';
    $sMsg = 'Inserting setting data.';
}
elseif( $sStage == 'menu' )
{
    SAA_Sys::getLib('setting')->build();

    require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'menu.php');

    $sHead = '<meta http-equiv="refresh" content="2;url=./install.php?c=create-admin">';
    $sMsg = 'Inserting default menu items.';
}
?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<div class="goodBox">
    <?php echo $sMsg; ?>
</div>

<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>