<?php
defined('Trapper') or exit('Trespasser!');

/**
 * Set Constants
 *
 * @author Hutton
 * @license Golevel LLC
 */

//If the version of php is < 5.4.0, then check to make sure safe mode is off
if( version_compare(phpversion(), '5.4.0', '<') === true )
{
	if( @ini_get('safe_mode') == 1 || strtolower(@ini_get('safe_mode')) == 'on' )
	{
		exit('Please set safe_mode to off in your PHP Configuration Directives');
	}
}

define('SAA_APP_CONTROLLER', SAA_DIR . 'application' . DS . 'controller' . DS);

define('SAA_APP_CONTROLLER_AJAX', SAA_DIR . 'application' . DS . 'ajax' . DS . 'controller' . DS);

define('SAA_APP_MODEL', SAA_DIR . 'application' . DS . 'model' . DS);

define('SAA_APP_VIEW', SAA_DIR . 'application' . DS . 'view' . DS);

define('SAA_APP_VIEW_AJAX', SAA_DIR . 'application' . DS . 'ajax' . DS . 'view' . DS);

define('SAA_APP_AJAX_PROCESS', SAA_DIR . 'application' . DS . 'ajax' . DS . 'process' . DS);

define('SAA_APP_ADS', SAA_DIR . 'application' . DS . 'file' . DS . 'ads' . DS);

define('SAA_APP_CACHE', SAA_DIR . 'application' . DS . 'file' . DS . 'cache' . DS);

define('SAA_APP_GAME_SWF', SAA_DIR . 'application' . DS . 'file' . DS . 'game' . DS . 'swf' . DS);

define('SAA_APP_GAME_SWF_URL', 'application/file/game/swf/');

define('SAA_APP_GAME_IMAGE', SAA_DIR . 'application' . DS . 'file' . DS . 'game' . DS . 'image' . DS);

define('SAA_APP_GAME_IMAGE_ACHIEVE', SAA_APP_GAME_IMAGE . 'achievements' . DS);

define('SAA_APP_GAME_IMAGE_URL', 'application/file/game/image/');

define('SAA_APP_GAME_IMAGE_ACHIEVE_URL', 'application/file/game/image/achievements/');

define('SAA_APP_USER_IMAGE', SAA_DIR . 'application' . DS . 'file' . DS . 'user' . DS . 'image' . DS);

define('SAA_APP_USER_IMAGE_URL', 'application/file/user/image/');

define('SAA_DESIGN', SAA_DIR . 'design' . DS);

define('SAA_DESIGN_THEME', SAA_DESIGN . 'theme' . DS);

define('SAA_SYSTEM', SAA_DIR . 'system' . DS);

define('SAA_SYSTEM_INCLUDE', SAA_SYSTEM . 'include' . DS);

define('SAA_SYSTEM_LIBRARY', SAA_SYSTEM . 'library' . DS);

define('SAA_SYSTEM_3PARTY', SAA_SYSTEM . 'third_party' . DS);

define('SAA_TIME', time());

define('SAA_CLASS_PREFIX', 'SAA_');

//SMARTY
define('SMARTY_DIR', SAA_SYSTEM_3PARTY . 'Smarty' . DS);

define('SMARTY_CONFIG', SMARTY_DIR . 'config' . DS);

define('SMARTY_CACHE_COMPILED', SAA_APP_CACHE . 'smarty' . DS . 'compiled' . DS);

define('SMARTY_CACHE_CACHED', SAA_APP_CACHE . 'smarty' . DS . 'cached' . DS);

define('SMARTY_EXT', '.tpl.php');

//API
define('SAA_API', 'http://standalonearcade.com/analytics/ping.php');
?>
