<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Model Library Class
 * @license GoLevel LLC
 */

Class SAA_Model
{
    /**
     * Calls the cache class
     *
     * @return object
     */
    protected function cache()
    {
        return SAA_Sys::getLib('cache');
    }

    /**
     * Calls the database class
     *
     * @return object
     */
    protected function database()
    {
    	return SAA_Sys::getLib('database');
    }

    /**
     * Calls the parse.input class
     *
     * @return object
     */
    protected function parse()
    {
        return SAA_Sys::getLib('parse.input');
    }
}
?>
